From 4120e7cfd035b72467cf197cdde643d8b02aa684 Mon Sep 17 00:00:00 2001
From: Marek Safar <marek.safar@gmail.com>
Date: Wed, 26 Mar 2014 10:58:48 -0400
Subject: [PATCH 09/14] Add XS project files

---
 .../CSharp/Source/CSharpCodeAnalysisRoslyn.csproj  | 811 +++++++++++++++++++++
 .../Core/Source/CodeAnalysisRoslyn.csproj          | 587 +++++++++++++++
 bootstrap/rcsc                                     |   2 +
 rcsc/rcsc.csproj                                   |  59 ++
 rcsc/rcsc.sln                                      |  32 +
 5 files changed, 1491 insertions(+)
 create mode 100644 Src/Compilers/CSharp/Source/CSharpCodeAnalysisRoslyn.csproj
 create mode 100644 Src/Compilers/Core/Source/CodeAnalysisRoslyn.csproj
 create mode 100755 bootstrap/rcsc
 create mode 100644 rcsc/rcsc.csproj
 create mode 100644 rcsc/rcsc.sln

diff --git a/Src/Compilers/CSharp/Source/CSharpCodeAnalysisRoslyn.csproj b/Src/Compilers/CSharp/Source/CSharpCodeAnalysisRoslyn.csproj
new file mode 100644
index 0000000..e2e5f96
--- /dev/null
+++ b/Src/Compilers/CSharp/Source/CSharpCodeAnalysisRoslyn.csproj
@@ -0,0 +1,811 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<Project DefaultTargets="Build" ToolsVersion="4.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
+  <PropertyGroup>
+    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
+    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
+    <ProjectGuid>{1EE8CAD3-55F9-4D91-96B2-084641DA9A6C}</ProjectGuid>
+    <OutputType>Library</OutputType>
+    <RootNamespace>Microsoft.CodeAnalysis.CSharp</RootNamespace>
+    <AssemblyName>Microsoft.CodeAnalysis.CSharp</AssemblyName>
+    <AllowUnsafeBlocks>true</AllowUnsafeBlocks>
+    <CscToolExe>rcsc</CscToolExe>
+    <CscToolPath>$(MSBuildProjectDirectory)\..\..\..\..\bootstrap</CscToolPath>
+    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
+    <Optimize>false</Optimize>
+    <OutputPath>bin\Debug</OutputPath>
+    <DefineConstants>DEBUG,COMPILERCORE</DefineConstants>
+    <ErrorReport>prompt</ErrorReport>
+    <WarningLevel>4</WarningLevel>
+    <ConsolePause>false</ConsolePause>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
+    <Optimize>true</Optimize>
+    <OutputPath>bin\Release</OutputPath>
+    <DefineConstants>COMPILERCORE</DefineConstants>
+    <ErrorReport>prompt</ErrorReport>
+    <WarningLevel>4</WarningLevel>
+    <ConsolePause>false</ConsolePause>
+  </PropertyGroup>
+  <ItemGroup Label="File References">
+    <Reference Include="System.Reflection.Metadata">
+      <HintPath>..\..\..\References\MetadataReader\System.Reflection.Metadata.dll</HintPath>
+    </Reference>
+    <Reference Include="System.Collections.Immutable">
+      <HintPath>..\..\..\References\Immutable\System.Collections.Immutable.dll</HintPath>
+    </Reference>
+  </ItemGroup>
+  <ItemGroup>
+    <Reference Include="System" />
+    <Reference Include="System.Core" />
+    <Reference Include="System.Runtime" />
+    <Reference Include="System.XML" />
+    <Reference Include="System.Xml.Linq" />
+  </ItemGroup>
+  <ItemGroup>
+    <Compile Include="Binder\AliasAndExternAliasDirective.cs" />
+    <Compile Include="Binder\AliasAndUsingDirective.cs" />
+    <Compile Include="Binder\Binder.cs" />
+    <Compile Include="Binder\Binder.OverflowChecks.cs" />
+    <Compile Include="Binder\Binder.QueryTranslationState.cs" />
+    <Compile Include="Binder\Binder.QueryUnboundLambdaState.cs" />
+    <Compile Include="Binder\Binder.RangeVariableMap.cs" />
+    <Compile Include="Binder\Binder.WithQueryLambdaParametersBinder.cs" />
+    <Compile Include="Binder\Binder_AnonymousTypes.cs" />
+    <Compile Include="Binder\Binder_Attributes.cs" />
+    <Compile Include="Binder\Binder_Await.cs" />
+    <Compile Include="Binder\Binder_Constraints.cs" />
+    <Compile Include="Binder\Binder_Conversions.cs" />
+    <Compile Include="Binder\Binder_Crefs.cs" />
+    <Compile Include="Binder\Binder_Expressions.cs" />
+    <Compile Include="Binder\Binder_Flags.cs" />
+    <Compile Include="Binder\Binder_Lambda.cs" />
+    <Compile Include="Binder\Binder_Lookup.cs" />
+    <Compile Include="Binder\Binder_NameConflicts.cs" />
+    <Compile Include="Binder\Binder_Operators.cs" />
+    <Compile Include="Binder\Binder_Query.cs" />
+    <Compile Include="Binder\Binder_QueryErrors.cs" />
+    <Compile Include="Binder\Binder_Statements.cs" />
+    <Compile Include="Binder\Binder_Symbols.cs" />
+    <Compile Include="Binder\Binder_Unsafe.cs" />
+    <Compile Include="Binder\Binder_XmlNameAttribute.cs" />
+    <Compile Include="Binder\BinderFactory.BinderFactoryVisitor.cs" />
+    <Compile Include="Binder\BinderFactory.cs" />
+    <Compile Include="Binder\BinderFactory.NodeUsage.cs" />
+    <Compile Include="Binder\BinderFlags.cs" />
+    <Compile Include="Binder\BinderFlagsExtensions.cs" />
+    <Compile Include="Binder\BlockBinder.cs" />
+    <Compile Include="Binder\BuckStopsHereBinder.cs" />
+    <Compile Include="Binder\CatchClauseBinder.cs" />
+    <Compile Include="Binder\ConstantFieldsInProgress.cs" />
+    <Compile Include="Binder\ConstantFieldsInProgressBinder.cs" />
+    <Compile Include="Binder\ContextualAttributeBinder.cs" />
+    <Compile Include="Binder\EarlyWellKnownAttributeBinder.cs" />
+    <Compile Include="Binder\EmbeddedStatementBinder.cs" />
+    <Compile Include="Binder\ExecutableCodeBinder.cs" />
+    <Compile Include="Binder\ExtensionMethodScope.cs" />
+    <Compile Include="Binder\FixedStatementBinder.cs" />
+    <Compile Include="Binder\ForEachEnumeratorInfo.cs" />
+    <Compile Include="Binder\ForEachLoopBinder.cs" />
+    <Compile Include="Binder\ForLoopBinder.cs" />
+    <Compile Include="Binder\HostObjectModeBinder.cs" />
+    <Compile Include="Binder\IfBinder.cs" />
+    <Compile Include="Binder\ImplicitlyTypedFieldBinder.cs" />
+    <Compile Include="Binder\ImplicitlyTypedLocalBinder.cs" />
+    <Compile Include="Binder\Imports.cs" />
+    <Compile Include="Binder\InContainerBinder.cs" />
+    <Compile Include="Binder\InMethodBinder.cs" />
+    <Compile Include="Binder\InteractiveUsingsBinder.cs" />
+    <Compile Include="Binder\LocalBinderFactory.cs" />
+    <Compile Include="Binder\LocalInProgressBinder.cs" />
+    <Compile Include="Binder\LocalScopeBinder.cs" />
+    <Compile Include="Binder\LockBinder.cs" />
+    <Compile Include="Binder\LockOrUsingStatementExpressionHandler.cs" />
+    <Compile Include="Binder\LookupOptions.cs" />
+    <Compile Include="Binder\LookupResult.cs" />
+    <Compile Include="Binder\LookupResultKind.cs" />
+    <Compile Include="Binder\LookupSymbolsInfo.cs" />
+    <Compile Include="Binder\LoopBinderContext.cs" />
+    <Compile Include="Binder\MethodGroupResolution.cs" />
+    <Compile Include="Binder\NamespaceOrTypeAndUsingDirective.cs" />
+    <Compile Include="Binder\ScopedExpressionBinder.cs" />
+    <Compile Include="Binder\Semantics\AccessCheck.cs" />
+    <Compile Include="Binder\Semantics\BestTypeInferrer.cs" />
+    <Compile Include="Binder\Semantics\Conversions\Conversion.cs" />
+    <Compile Include="Binder\Semantics\Conversions\ConversionEasyOut.cs" />
+    <Compile Include="Binder\Semantics\Conversions\ConversionKind.cs" />
+    <Compile Include="Binder\Semantics\Conversions\ConversionKindExtensions.cs" />
+    <Compile Include="Binder\Semantics\Conversions\Conversions.cs" />
+    <Compile Include="Binder\Semantics\Conversions\ConversionsBase.cs" />
+    <Compile Include="Binder\Semantics\Conversions\LambdaConversionResult.cs" />
+    <Compile Include="Binder\Semantics\Conversions\TypeConversions.cs" />
+    <Compile Include="Binder\Semantics\Conversions\UserDefinedConversionAnalysis.cs" />
+    <Compile Include="Binder\Semantics\Conversions\UserDefinedConversionResult.cs" />
+    <Compile Include="Binder\Semantics\Conversions\UserDefinedConversions.cs" />
+    <Compile Include="Binder\Semantics\Conversions\UserDefinedExplicitConversions.cs" />
+    <Compile Include="Binder\Semantics\Conversions\UserDefinedImplicitConversions.cs" />
+    <Compile Include="Binder\Semantics\Operators\BinaryOperatorAnalysisResult.cs" />
+    <Compile Include="Binder\Semantics\Operators\BinaryOperatorEasyOut.cs" />
+    <Compile Include="Binder\Semantics\Operators\BinaryOperatorOverloadResolution.cs" />
+    <Compile Include="Binder\Semantics\Operators\BinaryOperatorOverloadResolutionResult.cs" />
+    <Compile Include="Binder\Semantics\Operators\BinaryOperatorSignature.cs" />
+    <Compile Include="Binder\Semantics\Operators\OperatorAnalysisResultKind.cs" />
+    <Compile Include="Binder\Semantics\Operators\OperatorFacts.cs" />
+    <Compile Include="Binder\Semantics\Operators\OperatorKind.cs" />
+    <Compile Include="Binder\Semantics\Operators\OperatorKindExtensions.cs" />
+    <Compile Include="Binder\Semantics\Operators\UnaryOperatorAnalysisResult.cs" />
+    <Compile Include="Binder\Semantics\Operators\UnaryOperatorEasyOut.cs" />
+    <Compile Include="Binder\Semantics\Operators\UnaryOperatorOverloadResolution.cs" />
+    <Compile Include="Binder\Semantics\Operators\UnaryOperatorOverloadResolutionResult.cs" />
+    <Compile Include="Binder\Semantics\Operators\UnaryOperatorSignature.cs" />
+    <Compile Include="Binder\Semantics\OverloadResolution\AnalyzedArguments.cs" />
+    <Compile Include="Binder\Semantics\OverloadResolution\ArgumentAnalysisResult.cs" />
+    <Compile Include="Binder\Semantics\OverloadResolution\ArgumentAnalysisResultKind.cs" />
+    <Compile Include="Binder\Semantics\OverloadResolution\MemberAnalysisResult.cs" />
+    <Compile Include="Binder\Semantics\OverloadResolution\MemberResolutionKind.cs" />
+    <Compile Include="Binder\Semantics\OverloadResolution\MemberResolutionResult.cs" />
+    <Compile Include="Binder\Semantics\OverloadResolution\MethodGroup.cs" />
+    <Compile Include="Binder\Semantics\OverloadResolution\MethodTypeInference.cs" />
+    <Compile Include="Binder\Semantics\OverloadResolution\OverloadResolution.cs" />
+    <Compile Include="Binder\Semantics\OverloadResolution\OverloadResolution_ArgsToParameters.cs" />
+    <Compile Include="Binder\Semantics\OverloadResolution\OverloadResolutionResult.cs" />
+    <Compile Include="Binder\Semantics\SemanticFacts.cs" />
+    <Compile Include="Binder\SingleLookupResult.cs" />
+    <Compile Include="Binder\SwitchBinder.cs" />
+    <Compile Include="Binder\TypeofBinder.cs" />
+    <Compile Include="Binder\UsingsBinder.cs" />
+    <Compile Include="Binder\UsingStatementBinder.cs" />
+    <Compile Include="Binder\WhileBinder.cs" />
+    <Compile Include="Binder\WithClassTypeParametersBinder.cs" />
+    <Compile Include="Binder\WithCrefTypeParametersBinder.cs" />
+    <Compile Include="Binder\WithLambdaParametersBinder.cs" />
+    <Compile Include="Binder\WithMethodTypeParametersBinder.cs" />
+    <Compile Include="Binder\WithParametersBinder.cs" />
+    <Compile Include="Binder\WithTypeParametersBinder.cs" />
+    <Compile Include="BoundTree\BoundExpression.cs" />
+    <Compile Include="BoundTree\BoundExpressionExtensions.cs" />
+    <Compile Include="BoundTree\BoundMethodGroup.cs" />
+    <Compile Include="BoundTree\BoundMethodGroupFlags.cs" />
+    <Compile Include="BoundTree\BoundNode.cs" />
+    <Compile Include="BoundTree\BoundNodeExtensions.cs" />
+    <Compile Include="BoundTree\BoundObjectCreationExpression.cs" />
+    <Compile Include="BoundTree\BoundQueryClause.cs" />
+    <Compile Include="BoundTree\BoundSequencePoint.cs" />
+    <Compile Include="BoundTree\BoundStatementExtensions.cs" />
+    <Compile Include="BoundTree\BoundTreeRewriter.cs" />
+    <Compile Include="BoundTree\BoundTreeVisitors.cs" />
+    <Compile Include="BoundTree\BoundTreeWalker.cs" />
+    <Compile Include="BoundTree\Constructors.cs" />
+    <Compile Include="BoundTree\Formatting.cs" />
+    <Compile Include="BoundTree\NoOpStatementFlavor.cs" />
+    <Compile Include="BoundTree\UnboundLambda.cs" />
+    <Compile Include="BoundTree\UninitializedVarDeclarationExpression.cs" />
+    <Compile Include="CodeGen\CodeGenerator.cs" />
+    <Compile Include="CodeGen\EmitAddress.cs" />
+    <Compile Include="CodeGen\EmitArrayInitializer.cs" />
+    <Compile Include="CodeGen\EmitConversion.cs" />
+    <Compile Include="CodeGen\EmitExpression.cs" />
+    <Compile Include="CodeGen\EmitOperators.cs" />
+    <Compile Include="CodeGen\EmitStatement.cs" />
+    <Compile Include="CodeGen\Optimizer.cs" />
+    <Compile Include="CommandLine\CommandLineArguments.cs" />
+    <Compile Include="CommandLine\CommandLineDiagnosticFormatter.cs" />
+    <Compile Include="CommandLine\CommandLineParser.cs" />
+    <Compile Include="CommandLine\CSharpCompiler.cs" />
+    <Compile Include="Compilation\AttributeSemanticModel.cs" />
+    <Compile Include="Compilation\AwaitExpressionInfo.cs" />
+    <Compile Include="Compilation\BuiltInOperators.cs" />
+    <Compile Include="Compilation\CSharpCompilation.cs" />
+    <Compile Include="Compilation\CSharpCompilation.DefinitionMap.cs" />
+    <Compile Include="Compilation\CSharpCompilationReference.cs" />
+    <Compile Include="Compilation\CSharpSemanticModel.cs" />
+    <Compile Include="Compilation\ForEachStatementInfo.cs" />
+    <Compile Include="Compilation\InitializerSemanticModel.cs" />
+    <Compile Include="Compilation\LexicalOrderSymbolComparer.cs" />
+    <Compile Include="Compilation\LocalVariableDeclaratorsVisitor.cs" />
+    <Compile Include="Compilation\MemberSemanticModel.cs" />
+    <Compile Include="Compilation\MemberSemanticModel.NodeMapBuilder.cs" />
+    <Compile Include="Compilation\MemberSemanticModel.SpeculativeMemberSemanticModel.cs" />
+    <Compile Include="Compilation\MethodBodySemanticModel.cs" />
+    <Compile Include="Compilation\QueryClauseInfo.cs" />
+    <Compile Include="Compilation\SpeculativeSyntaxTreeSemanticModel.cs" />
+    <Compile Include="Compilation\SymbolInfoFactory.cs" />
+    <Compile Include="Compilation\SymbolMatcher.cs" />
+    <Compile Include="Compilation\SyntaxTreeSemanticModel.cs" />
+    <Compile Include="Compilation\SyntaxTreeSemanticModel_RegionAnalysisContext.cs" />
+    <Compile Include="Compilation\TypeInfo.cs" />
+    <Compile Include="Compiler\AnonymousTypeMethodBodySynthesizer.cs" />
+    <Compile Include="Compiler\ClsComplianceChecker.cs" />
+    <Compile Include="Compiler\Compiler.cs" />
+    <Compile Include="Compiler\DocumentationCommentCompiler.cs" />
+    <Compile Include="Compiler\DocumentationCommentCompiler.DocumentationCommentWalker.cs" />
+    <Compile Include="Compiler\DocumentationCommentCompiler.IncludeElementExpander.cs" />
+    <Compile Include="Compiler\EntryPointCandidateFinder.cs" />
+    <Compile Include="Compiler\MethodBodyCompiler.cs" />
+    <Compile Include="Compiler\MethodBodySynthesizer.cs" />
+    <Compile Include="Compiler\MethodBodySynthesizer.Lowered.cs" />
+    <Compile Include="Compiler\NamespaceScopeBuilder.cs" />
+    <Compile Include="Compiler\SynthesizedMethodMetadataCompiler.cs" />
+    <Compile Include="Compiler\TypeCompilationState.cs" />
+    <Compile Include="Compiler\UnprocessedDocumentationCommentFinder.cs" />
+    <Compile Include="CSharpCompilationOptions.cs" />
+    <Compile Include="CSharpExtensions.cs" />
+    <Compile Include="CSharpParseOptions.cs" />
+    <Compile Include="CSharpResources.Designer.cs">
+      <AutoGen>True</AutoGen>
+      <DesignTime>True</DesignTime>
+      <DependentUpon>CSharpResources.resx</DependentUpon>
+    </Compile>
+    <Compile Include="Declarations\Declaration.cs" />
+    <Compile Include="Declarations\DeclarationKind.cs" />
+    <Compile Include="Declarations\DeclarationModifiers.cs" />
+    <Compile Include="Declarations\DeclarationTable.Cache.cs" />
+    <Compile Include="Declarations\DeclarationTable.cs" />
+    <Compile Include="Declarations\DeclarationTreeBuilder.cs" />
+    <Compile Include="Declarations\MergedNamespaceDeclaration.cs" />
+    <Compile Include="Declarations\MergedNamespaceOrTypeDeclaration.cs" />
+    <Compile Include="Declarations\MergedTypeDeclaration.cs" />
+    <Compile Include="Declarations\RootSingleNamespaceDeclaration.cs" />
+    <Compile Include="Declarations\SingleNamespaceDeclaration.cs" />
+    <Compile Include="Declarations\SingleNamespaceDeclarationEx.cs" />
+    <Compile Include="Declarations\SingleNamespaceOrTypeDeclaration.cs" />
+    <Compile Include="Declarations\SingleTypeDeclaration.cs" />
+    <Compile Include="DocumentationComments\DocumentationCommentIDVisitor.cs" />
+    <Compile Include="DocumentationComments\DocumentationCommentIDVisitor.PartVisitor.cs" />
+    <Compile Include="DocumentationComments\PEDocumentationCommentUtils.cs" />
+    <Compile Include="DocumentationComments\SourceDocumentationCommentUtils.cs" />
+    <Compile Include="Emitter\Model\ArrayTypeSymbolAdapter.cs" />
+    <Compile Include="Emitter\Model\AssemblyReference.cs" />
+    <Compile Include="Emitter\Model\AttributeDataAdapter.cs" />
+    <Compile Include="Emitter\Model\CustomModifierAdapter.cs" />
+    <Compile Include="Emitter\Model\DynamicTypeSymbolAdapter.cs" />
+    <Compile Include="Emitter\Model\EventSymbolAdapter.cs" />
+    <Compile Include="Emitter\Model\ExpandedVarargsMethodReference.cs" />
+    <Compile Include="Emitter\Model\FieldSymbolAdapter.cs" />
+    <Compile Include="Emitter\Model\GenericMethodInstanceReference.cs" />
+    <Compile Include="Emitter\Model\GenericNamespaceTypeInstanceReference.cs" />
+    <Compile Include="Emitter\Model\GenericNestedTypeInstanceReference.cs" />
+    <Compile Include="Emitter\Model\GenericTypeInstanceReference.cs" />
+    <Compile Include="Emitter\Model\MethodImplementation.cs" />
+    <Compile Include="Emitter\Model\MethodReference.cs" />
+    <Compile Include="Emitter\Model\MethodSymbolAdapter.cs" />
+    <Compile Include="Emitter\Model\ModuleReference.cs" />
+    <Compile Include="Emitter\Model\NamedTypeReference.cs" />
+    <Compile Include="Emitter\Model\NamedTypeSymbolAdapter.cs" />
+    <Compile Include="Emitter\Model\ParameterSymbolAdapter.cs">
+      <SubType>Code</SubType>
+    </Compile>
+    <Compile Include="Emitter\Model\ParameterTypeInformation.cs" />
+    <Compile Include="Emitter\Model\PEAssemblyBuilder.cs" />
+    <Compile Include="Emitter\Model\PEDeltaAssemblyBuilder.cs" />
+    <Compile Include="Emitter\Model\PEModuleBuilder.cs" />
+    <Compile Include="Emitter\Model\PENetModuleBuilder.cs" />
+    <Compile Include="Emitter\Model\PointerTypeSymbolAdapter.cs" />
+    <Compile Include="Emitter\Model\PropertySymbolAdapter.cs" />
+    <Compile Include="Emitter\Model\SpecializedFieldReference.cs" />
+    <Compile Include="Emitter\Model\SpecializedGenericMethodInstanceReference.cs" />
+    <Compile Include="Emitter\Model\SpecializedGenericNestedTypeInstanceReference.cs" />
+    <Compile Include="Emitter\Model\SpecializedMethodReference.cs" />
+    <Compile Include="Emitter\Model\SpecializedNestedTypeReference.cs" />
+    <Compile Include="Emitter\Model\SymbolAdapter.cs" />
+    <Compile Include="Emitter\Model\TypeMemberReference.cs" />
+    <Compile Include="Emitter\Model\TypeParameterSymbolAdapter.cs" />
+    <Compile Include="Emitter\NoPia\EmbeddedEvent.cs" />
+    <Compile Include="Emitter\NoPia\EmbeddedField.cs" />
+    <Compile Include="Emitter\NoPia\EmbeddedMethod.cs" />
+    <Compile Include="Emitter\NoPia\EmbeddedParameter.cs" />
+    <Compile Include="Emitter\NoPia\EmbeddedProperty.cs" />
+    <Compile Include="Emitter\NoPia\EmbeddedType.cs" />
+    <Compile Include="Emitter\NoPia\EmbeddedTypeParameter.cs" />
+    <Compile Include="Emitter\NoPia\EmbeddedTypesManager.cs" />
+    <Compile Include="Errors\CSDiagnostic.cs" />
+    <Compile Include="Errors\CSDiagnosticInfo.cs" />
+    <Compile Include="Errors\CSharpDiagnosticFormatter.cs" />
+    <Compile Include="Errors\DiagnosticBagExtensions.cs" />
+    <Compile Include="Errors\DiagnosticInfoWithSymbols.cs" />
+    <Compile Include="Errors\ErrorFacts.cs" />
+    <Compile Include="Errors\LazyObsoleteDiagnosticInfo.cs" />
+    <Compile Include="Errors\MessageID.cs" />
+    <Compile Include="Errors\MessageProvider.cs" />
+    <Compile Include="Errors\SyntaxDiagnosticInfo.cs" />
+    <Compile Include="Errors\XmlParseErrorCode.cs" />
+    <Compile Include="Errors\XmlSyntaxDiagnosticInfo.cs" />
+    <Compile Include="FlowAnalysis\AbstractFlowPass.cs" />
+    <Compile Include="FlowAnalysis\AbstractRegionControlFlowPass.cs" />
+    <Compile Include="FlowAnalysis\AbstractRegionDataFlowPass.cs" />
+    <Compile Include="FlowAnalysis\AlwaysAssignedWalker.cs" />
+    <Compile Include="FlowAnalysis\ControlFlowAnalysis.cs" />
+    <Compile Include="FlowAnalysis\ControlFlowPass.cs" />
+    <Compile Include="FlowAnalysis\DataFlowAnalysis.cs" />
+    <Compile Include="FlowAnalysis\DataFlowPass.cs" />
+    <Compile Include="FlowAnalysis\DataFlowPass.VariableIdentifier.cs" />
+    <Compile Include="FlowAnalysis\DataFlowsInWalker.cs" />
+    <Compile Include="FlowAnalysis\DataFlowsOutWalker.cs" />
+    <Compile Include="FlowAnalysis\DisposeCheckerPass.cs" />
+    <Compile Include="FlowAnalysis\EmptyStructTypeCache.cs" />
+    <Compile Include="FlowAnalysis\EntryPointsWalker.cs" />
+    <Compile Include="FlowAnalysis\ExitPointsWalker.cs" />
+    <Compile Include="FlowAnalysis\FlowAnalysisPass.cs" />
+    <Compile Include="FlowAnalysis\PreciseAbstractFlowPass.AbstractLocalState.cs" />
+    <Compile Include="FlowAnalysis\PreciseAbstractFlowPass.cs" />
+    <Compile Include="FlowAnalysis\ReadWriteWalker.cs" />
+    <Compile Include="FlowAnalysis\RegionAnalysisContext.cs" />
+    <Compile Include="FlowAnalysis\RegionReachableWalker.cs" />
+    <Compile Include="FlowAnalysis\UnassignedAddressTakenVariablesWalker.cs" />
+    <Compile Include="FlowAnalysis\UnassignedVariablesWalker.cs" />
+    <Compile Include="FlowAnalysis\VariablesDeclaredWalker.cs" />
+    <Compile Include="LanguageVersion.cs" />
+    <Compile Include="Lowering\AsyncRewriter2\AsyncHandlerRewriter.cs" />
+    <Compile Include="Lowering\AsyncRewriter2\AsyncMethodBuilderMemberCollection.cs" />
+    <Compile Include="Lowering\AsyncRewriter2\AsyncMethodToClassRewriter.cs" />
+    <Compile Include="Lowering\AsyncRewriter2\AsyncRewriter2.cs" />
+    <Compile Include="Lowering\AsyncRewriter2\AsyncStruct.cs" />
+    <Compile Include="Lowering\AsyncRewriter2\AwaitLiftingRewriter.cs" />
+    <Compile Include="Lowering\DiagnosticsPass_ExpressionTrees.cs" />
+    <Compile Include="Lowering\DiagnosticsPass_Warnings.cs" />
+    <Compile Include="Lowering\Extensions.cs" />
+    <Compile Include="Lowering\InitializerRewriter.cs" />
+    <Compile Include="Lowering\IteratorRewriter\IteratorClass.cs" />
+    <Compile Include="Lowering\IteratorRewriter\IteratorConstructor.cs" />
+    <Compile Include="Lowering\IteratorRewriter\IteratorFinally.cs" />
+    <Compile Include="Lowering\IteratorRewriter\IteratorFinallyFrame.cs" />
+    <Compile Include="Lowering\IteratorRewriter\IteratorMethodToClassRewriter.cs" />
+    <Compile Include="Lowering\IteratorRewriter\IteratorRewriter.cs" />
+    <Compile Include="Lowering\IteratorRewriter\YieldsInTryAnalysis.cs" />
+    <Compile Include="Lowering\LambdaRewriter\ExpressionLambdaRewriter.cs" />
+    <Compile Include="Lowering\LambdaRewriter\LambdaRewriter.Analysis.cs" />
+    <Compile Include="Lowering\LambdaRewriter\LambdaRewriter.cs" />
+    <Compile Include="Lowering\LambdaRewriter\LambdaRewriter.Frame.cs" />
+    <Compile Include="Lowering\LocalRewriter\LocalRewriter.cs" />
+    <Compile Include="Lowering\LocalRewriter\LocalRewriter_AnonymousObjectCreation.cs" />
+    <Compile Include="Lowering\LocalRewriter\LocalRewriter_AsOperator.cs" />
+    <Compile Include="Lowering\LocalRewriter\LocalRewriter_AssignmentOperator.cs" />
+    <Compile Include="Lowering\LocalRewriter\LocalRewriter_Await.cs" />
+    <Compile Include="Lowering\LocalRewriter\LocalRewriter_BinaryOperator.cs" />
+    <Compile Include="Lowering\LocalRewriter\LocalRewriter_Block.cs" />
+    <Compile Include="Lowering\LocalRewriter\LocalRewriter_BreakStatement.cs" />
+    <Compile Include="Lowering\LocalRewriter\LocalRewriter_Call.cs" />
+    <Compile Include="Lowering\LocalRewriter\LocalRewriter_CompoundAssignmentOperator.cs" />
+    <Compile Include="Lowering\LocalRewriter\LocalRewriter_ConditionalOperator.cs" />
+    <Compile Include="Lowering\LocalRewriter\LocalRewriter_ContinueStatement.cs" />
+    <Compile Include="Lowering\LocalRewriter\LocalRewriter_Conversion.cs" />
+    <Compile Include="Lowering\LocalRewriter\LocalRewriter_DelegateCreationExpression.cs" />
+    <Compile Include="Lowering\LocalRewriter\LocalRewriter_DoStatement.cs" />
+    <Compile Include="Lowering\LocalRewriter\LocalRewriter_Event.cs" />
+    <Compile Include="Lowering\LocalRewriter\LocalRewriter_ExpressionStatement.cs" />
+    <Compile Include="Lowering\LocalRewriter\LocalRewriter_Field.cs" />
+    <Compile Include="Lowering\LocalRewriter\LocalRewriter_FixedStatement.cs" />
+    <Compile Include="Lowering\LocalRewriter\LocalRewriter_ForEachStatement.cs" />
+    <Compile Include="Lowering\LocalRewriter\LocalRewriter_ForStatement.cs" />
+    <Compile Include="Lowering\LocalRewriter\LocalRewriter_GotoStatement.cs" />
+    <Compile Include="Lowering\LocalRewriter\LocalRewriter_HostObjectMemberReference.cs" />
+    <Compile Include="Lowering\LocalRewriter\LocalRewriter_IfStatement.cs" />
+    <Compile Include="Lowering\LocalRewriter\LocalRewriter_IndexerAccess.cs" />
+    <Compile Include="Lowering\LocalRewriter\LocalRewriter_IsOperator.cs" />
+    <Compile Include="Lowering\LocalRewriter\LocalRewriter_LabeledStatement.cs" />
+    <Compile Include="Lowering\LocalRewriter\LocalRewriter_Literal.cs" />
+    <Compile Include="Lowering\LocalRewriter\LocalRewriter_LocalDeclaration.cs" />
+    <Compile Include="Lowering\LocalRewriter\LocalRewriter_LockStatement.cs" />
+    <Compile Include="Lowering\LocalRewriter\LocalRewriter_MultipleLocalDeclarations.cs" />
+    <Compile Include="Lowering\LocalRewriter\LocalRewriter_NullCoalescingOperator.cs" />
+    <Compile Include="Lowering\LocalRewriter\LocalRewriter_ObjectCreationExpression.cs" />
+    <Compile Include="Lowering\LocalRewriter\LocalRewriter_ObjectOrCollectionInitializerExpression.cs" />
+    <Compile Include="Lowering\LocalRewriter\LocalRewriter_PointerElementAccess.cs" />
+    <Compile Include="Lowering\LocalRewriter\LocalRewriter_PreviousSubmissionReference.cs" />
+    <Compile Include="Lowering\LocalRewriter\LocalRewriter_PropertyAccess.cs" />
+    <Compile Include="Lowering\LocalRewriter\LocalRewriter_Query.cs" />
+    <Compile Include="Lowering\LocalRewriter\LocalRewriter_ReturnStatement.cs" />
+    <Compile Include="Lowering\LocalRewriter\LocalRewriter_SequencePoints.cs" />
+    <Compile Include="Lowering\LocalRewriter\LocalRewriter_StackAlloc.cs" />
+    <Compile Include="Lowering\LocalRewriter\LocalRewriter_StringConcat.cs" />
+    <Compile Include="Lowering\LocalRewriter\LocalRewriter_SwitchStatement.cs" />
+    <Compile Include="Lowering\LocalRewriter\LocalRewriter_ThrowStatement.cs" />
+    <Compile Include="Lowering\LocalRewriter\LocalRewriter_TryStatement.cs" />
+    <Compile Include="Lowering\LocalRewriter\LocalRewriter_UnaryOperator.cs" />
+    <Compile Include="Lowering\LocalRewriter\LocalRewriter_UsingStatement.cs" />
+    <Compile Include="Lowering\LocalRewriter\LocalRewriter_WhileStatement.cs" />
+    <Compile Include="Lowering\LocalRewriter\LocalRewriter_Yield.cs" />
+    <Compile Include="Lowering\LocalRewriter\LoweredDynamicOperation.cs" />
+    <Compile Include="Lowering\LocalRewriter\LoweredDynamicOperationFactory.cs" />
+    <Compile Include="Lowering\MethodToClassRewriter.cs" />
+    <Compile Include="Lowering\StateMachineRewriter\CapturedSymbol.cs" />
+    <Compile Include="Lowering\StateMachineRewriter\IteratorAndAsyncCaptureWalker.cs" />
+    <Compile Include="Lowering\StateMachineRewriter\StateMachineMethodToClassRewriter.cs" />
+    <Compile Include="Lowering\StateMachineRewriter\StateMachineRewriter.cs" />
+    <Compile Include="Lowering\StateMachineRewriter\StateMachineStates.cs" />
+    <Compile Include="Lowering\SynthesizedMethodBaseSymbol.cs" />
+    <Compile Include="Lowering\SynthesizedSubmissionFields.cs" />
+    <Compile Include="Lowering\SyntheticBoundNodeFactory.cs" />
+    <Compile Include="Lowering\UnmatchedGotoFinder.cs" />
+    <Compile Include="Parser\AbstractLexer.cs" />
+    <Compile Include="Parser\BlendedNode.cs" />
+    <Compile Include="Parser\Blender.cs" />
+    <Compile Include="Parser\Blender.Cursor.cs" />
+    <Compile Include="Parser\Blender.Reader.cs" />
+    <Compile Include="Parser\CharacterInfo.cs" />
+    <Compile Include="Parser\DirectiveParser.cs" />
+    <Compile Include="Parser\Directives.cs" />
+    <Compile Include="Parser\DocumentationCommentParser.cs" />
+    <Compile Include="Parser\DocumentationCommentXmlTokens.cs" />
+    <Compile Include="Parser\LanguageParser.cs" />
+    <Compile Include="Parser\Lexer.cs" />
+    <Compile Include="Parser\LexerCache.cs" />
+    <Compile Include="Parser\QuickScanner.cs" />
+    <Compile Include="Parser\SlidingTextWindow.cs" />
+    <Compile Include="Parser\SyntaxFactoryContext.cs" />
+    <Compile Include="Parser\SyntaxListPool.cs" />
+    <Compile Include="Parser\SyntaxParser.cs" />
+    <Compile Include="Parser\SyntaxParser.ResetPoint.cs" />
+    <Compile Include="SymbolDisplay\ObjectDisplay.cs" />
+    <Compile Include="SymbolDisplay\SymbolDisplay.cs" />
+    <Compile Include="SymbolDisplay\SymbolDisplayVisitor.cs" />
+    <Compile Include="SymbolDisplay\SymbolDisplayVisitor.Members.cs" />
+    <Compile Include="SymbolDisplay\SymbolDisplayVisitor.Types.cs" />
+    <Compile Include="SymbolDisplay\SymbolDisplayVisitor_Constants.cs" />
+    <Compile Include="SymbolDisplay\SymbolDisplayVisitor_Minimal.cs" />
+    <Compile Include="Symbols\AbstractTypeMap.cs" />
+    <Compile Include="Symbols\AbstractTypeParameterMap.cs" />
+    <Compile Include="Symbols\AliasSymbol.cs" />
+    <Compile Include="Symbols\AnonymousTypes\AnonymousTypeDescriptor.cs" />
+    <Compile Include="Symbols\AnonymousTypes\AnonymousTypeField.cs" />
+    <Compile Include="Symbols\AnonymousTypes\AnonymousTypeManager.cs" />
+    <Compile Include="Symbols\AnonymousTypes\AnonymousTypeManager.SymbolCollection.cs" />
+    <Compile Include="Symbols\AnonymousTypes\AnonymousTypeManager.Templates.cs" />
+    <Compile Include="Symbols\AnonymousTypes\PublicSymbols\AnonymousType.TypePublicSymbol.cs" />
+    <Compile Include="Symbols\AnonymousTypes\SynthesizedSymbols\AnonymousType.ConstructorSymbol.cs" />
+    <Compile Include="Symbols\AnonymousTypes\SynthesizedSymbols\AnonymousType.EqualsMethodSymbol.cs" />
+    <Compile Include="Symbols\AnonymousTypes\SynthesizedSymbols\AnonymousType.FieldSymbol.cs" />
+    <Compile Include="Symbols\AnonymousTypes\SynthesizedSymbols\AnonymousType.GetHashCodeMethodSymbol.cs" />
+    <Compile Include="Symbols\AnonymousTypes\SynthesizedSymbols\AnonymousType.PropertyAccessorSymbol.cs" />
+    <Compile Include="Symbols\AnonymousTypes\SynthesizedSymbols\AnonymousType.PropertySymbol.cs" />
+    <Compile Include="Symbols\AnonymousTypes\SynthesizedSymbols\AnonymousType.SynthesizedMethodBase.cs" />
+    <Compile Include="Symbols\AnonymousTypes\SynthesizedSymbols\AnonymousType.TemplateSymbol.cs" />
+    <Compile Include="Symbols\AnonymousTypes\SynthesizedSymbols\AnonymousType.ToStringMethodSymbol.cs" />
+    <Compile Include="Symbols\AnonymousTypes\SynthesizedSymbols\AnonymousType.TypeParameterSymbol.cs" />
+    <Compile Include="Symbols\ArrayTypeSymbol.cs" />
+    <Compile Include="Symbols\AssemblySymbol.cs" />
+    <Compile Include="Symbols\Attributes\AttributeData.cs" />
+    <Compile Include="Symbols\Attributes\PEAttributeData.cs" />
+    <Compile Include="Symbols\Attributes\RetargetingAttributeData.cs" />
+    <Compile Include="Symbols\Attributes\SourceAttributeData.cs" />
+    <Compile Include="Symbols\Attributes\WellKnownAttributeData\ParameterEarlyWellKnownAttributeData.cs" />
+    <Compile Include="Symbols\Attributes\WellKnownAttributeData\PropertyEarlyWellKnownAttributeData.cs" />
+    <Compile Include="Symbols\Attributes\WellKnownAttributeData\TypeWellKnownAttributeData.cs" />
+    <Compile Include="Symbols\BaseTypeAnalysis.cs" />
+    <Compile Include="Symbols\ByRefReturnErrorTypeSymbol.cs" />
+    <Compile Include="Symbols\Compilation_WellKnownMembers.cs" />
+    <Compile Include="Symbols\CompletionPart.cs" />
+    <Compile Include="Symbols\ConstantValueUtils.cs" />
+    <Compile Include="Symbols\ConstraintsHelper.cs" />
+    <Compile Include="Symbols\ConstructedMethodSymbol.cs" />
+    <Compile Include="Symbols\ConstructedNamedTypeSymbol.cs" />
+    <Compile Include="Symbols\ConversionSignatureComparer.cs" />
+    <Compile Include="Symbols\CustomModifier.cs" />
+    <Compile Include="Symbols\DynamicTypeEraser.cs" />
+    <Compile Include="Symbols\DynamicTypeSymbol.cs" />
+    <Compile Include="Symbols\EnumConversions.cs" />
+    <Compile Include="Symbols\ErrorMethodSymbol.cs" />
+    <Compile Include="Symbols\ErrorPropertySymbol.cs" />
+    <Compile Include="Symbols\ErrorTypeSymbol.cs" />
+    <Compile Include="Symbols\ErrorTypeSymbol.ErrorTypeParameterSymbol.cs" />
+    <Compile Include="Symbols\EventSymbol.cs" />
+    <Compile Include="Symbols\EventSymbolExtensions.cs" />
+    <Compile Include="Symbols\ExtendedErrorTypeSymbol.cs" />
+    <Compile Include="Symbols\FieldInitializer.cs" />
+    <Compile Include="Symbols\FieldSymbol.cs" />
+    <Compile Include="Symbols\LabelSymbol.cs" />
+    <Compile Include="Symbols\LexicalSortKey.cs" />
+    <Compile Include="Symbols\LocalDeclarationKind.cs" />
+    <Compile Include="Symbols\LocalSymbol.cs" />
+    <Compile Include="Symbols\MemberSignatureComparer.cs" />
+    <Compile Include="Symbols\MemberSymbolExtensions.cs" />
+    <Compile Include="Symbols\MergedNamespaceSymbol.cs" />
+    <Compile Include="Symbols\Metadata\PE\DynamicTypeDecoder.cs" />
+    <Compile Include="Symbols\Metadata\PE\MemberRefMetadataDecoder.cs" />
+    <Compile Include="Symbols\Metadata\PE\MetadataDecoder.cs" />
+    <Compile Include="Symbols\Metadata\PE\PEAssemblySymbol.cs" />
+    <Compile Include="Symbols\Metadata\PE\PEEventSymbol.cs" />
+    <Compile Include="Symbols\Metadata\PE\PEFieldSymbol.cs" />
+    <Compile Include="Symbols\Metadata\PE\PEGlobalNamespaceSymbol.cs" />
+    <Compile Include="Symbols\Metadata\PE\PEMethodSymbol.cs" />
+    <Compile Include="Symbols\Metadata\PE\PEModuleSymbol.cs" />
+    <Compile Include="Symbols\Metadata\PE\PENamedTypeSymbol.cs" />
+    <Compile Include="Symbols\Metadata\PE\PENamespaceSymbol.cs" />
+    <Compile Include="Symbols\Metadata\PE\PENestedNamespaceSymbol.cs" />
+    <Compile Include="Symbols\Metadata\PE\PEParameterSymbol.cs" />
+    <Compile Include="Symbols\Metadata\PE\PEPropertySymbol.cs" />
+    <Compile Include="Symbols\Metadata\PE\PETypeParameterSymbol.cs" />
+    <Compile Include="Symbols\MetadataOrSourceAssemblySymbol.cs" />
+    <Compile Include="Symbols\MethodSymbol.cs" />
+    <Compile Include="Symbols\MethodSymbolExtensions.cs" />
+    <Compile Include="Symbols\MissingAssemblySymbol.cs" />
+    <Compile Include="Symbols\MissingCorLibrarySymbol.cs" />
+    <Compile Include="Symbols\MissingMetadataTypeSymbol.cs" />
+    <Compile Include="Symbols\MissingModuleSymbol.cs" />
+    <Compile Include="Symbols\MissingNamespaceSymbol.cs" />
+    <Compile Include="Symbols\ModuleSymbol.cs" />
+    <Compile Include="Symbols\MutableTypeMap.cs" />
+    <Compile Include="Symbols\NamedTypeSymbol.cs" />
+    <Compile Include="Symbols\NamespaceExtent.cs" />
+    <Compile Include="Symbols\NamespaceOrTypeSymbol.cs" />
+    <Compile Include="Symbols\NamespaceSymbol.cs" />
+    <Compile Include="Symbols\NonMissingAssemblySymbol.cs" />
+    <Compile Include="Symbols\NonMissingModuleSymbol.cs" />
+    <Compile Include="Symbols\NoPiaAmbiguousCanonicalTypeSymbol.cs" />
+    <Compile Include="Symbols\NoPiaIllegalGenericInstantiationSymbol.cs" />
+    <Compile Include="Symbols\NoPiaMissingCanonicalTypeSymbol.cs" />
+    <Compile Include="Symbols\ObsoleteAttributeHelpers.cs" />
+    <Compile Include="Symbols\OverriddenOrHiddenMembersHelpers.cs" />
+    <Compile Include="Symbols\OverriddenOrHiddenMembersResult.cs" />
+    <Compile Include="Symbols\ParameterSignature.cs" />
+    <Compile Include="Symbols\ParameterSymbol.cs" />
+    <Compile Include="Symbols\PointerTypeSymbol.cs" />
+    <Compile Include="Symbols\PreprocessingSymbol.cs" />
+    <Compile Include="Symbols\PropertyOrEventSymbolExtensions.cs" />
+    <Compile Include="Symbols\PropertySymbol.cs" />
+    <Compile Include="Symbols\PropertySymbolExtensions.cs" />
+    <Compile Include="Symbols\RangeVariableSymbol.cs" />
+    <Compile Include="Symbols\ReducedExtensionMethodSymbol.cs" />
+    <Compile Include="Symbols\ReferenceManager.cs" />
+    <Compile Include="Symbols\RefKindExtensions.cs" />
+    <Compile Include="Symbols\Retargeting\RetargetingAssemblySymbol.cs" />
+    <Compile Include="Symbols\Retargeting\RetargetingEventSymbol.cs" />
+    <Compile Include="Symbols\Retargeting\RetargetingFieldSymbol.cs" />
+    <Compile Include="Symbols\Retargeting\RetargetingMethodSymbol.cs" />
+    <Compile Include="Symbols\Retargeting\RetargetingModuleSymbol.cs" />
+    <Compile Include="Symbols\Retargeting\RetargetingNamedTypeSymbol.cs" />
+    <Compile Include="Symbols\Retargeting\RetargetingNamespaceSymbol.cs" />
+    <Compile Include="Symbols\Retargeting\RetargetingParameterSymbol.cs" />
+    <Compile Include="Symbols\Retargeting\RetargetingPropertySymbol.cs" />
+    <Compile Include="Symbols\Retargeting\RetargetingSymbolTranslator.cs" />
+    <Compile Include="Symbols\Retargeting\RetargetingTypeParameterSymbol.cs" />
+    <Compile Include="Symbols\SignatureOnlyMethodSymbol.cs" />
+    <Compile Include="Symbols\SignatureOnlyParameterSymbol.cs" />
+    <Compile Include="Symbols\SignatureOnlyPropertySymbol.cs" />
+    <Compile Include="Symbols\Source\AttributeLocation.cs" />
+    <Compile Include="Symbols\Source\ConstantEvaluationHelpers.cs" />
+    <Compile Include="Symbols\Source\CrefTypeParameterSymbol.cs" />
+    <Compile Include="Symbols\Source\CustomModifierUtils.cs" />
+    <Compile Include="Symbols\Source\ExplicitInterfaceHelpers.cs" />
+    <Compile Include="Symbols\Source\IAttributeTargetSymbol.cs" />
+    <Compile Include="Symbols\Source\ImplicitNamedTypeSymbol.cs" />
+    <Compile Include="Symbols\Source\IndexedTypeParameterSymbol.cs" />
+    <Compile Include="Symbols\Source\LambdaSymbol.cs" />
+    <Compile Include="Symbols\Source\ModifierUtils.cs" />
+    <Compile Include="Symbols\Source\ParameterHelpers.cs" />
+    <Compile Include="Symbols\Source\SourceAssemblySymbol.cs" />
+    <Compile Include="Symbols\Source\SourceClonedParameterSymbol.cs" />
+    <Compile Include="Symbols\Source\SourceComplexParameterSymbol.cs" />
+    <Compile Include="Symbols\Source\SourceConstructorSymbol.cs" />
+    <Compile Include="Symbols\Source\SourceCustomEventAccessorSymbol.cs" />
+    <Compile Include="Symbols\Source\SourceCustomEventSymbol.cs" />
+    <Compile Include="Symbols\Source\SourceDelegateMethodSymbol.cs" />
+    <Compile Include="Symbols\Source\SourceDestructorSymbol.cs" />
+    <Compile Include="Symbols\Source\SourceEnumConstantSymbol.cs" />
+    <Compile Include="Symbols\Source\SourceEventAccessorSymbol.cs" />
+    <Compile Include="Symbols\Source\SourceEventFieldSymbol.cs" />
+    <Compile Include="Symbols\Source\SourceEventSymbol.cs" />
+    <Compile Include="Symbols\Source\SourceFieldLikeEventSymbol.cs" />
+    <Compile Include="Symbols\Source\SourceFieldSymbol.cs" />
+    <Compile Include="Symbols\Source\SourceFixedFieldSymbol.cs" />
+    <Compile Include="Symbols\Source\SourceLabelSymbol.cs" />
+    <Compile Include="Symbols\Source\SourceLocalSymbol.cs" />
+    <Compile Include="Symbols\Source\SourceMemberContainerSymbol.cs" />
+    <Compile Include="Symbols\Source\SourceMemberContainerSymbol_ImplementationChecks.cs" />
+    <Compile Include="Symbols\Source\SourceMemberFieldSymbol.cs" />
+    <Compile Include="Symbols\Source\SourceMemberMethodSymbol.cs" />
+    <Compile Include="Symbols\Source\SourceMethodSymbol.cs" />
+    <Compile Include="Symbols\Source\SourceModuleSymbol.cs" />
+    <Compile Include="Symbols\Source\SourceNamedTypeSymbol.cs" />
+    <Compile Include="Symbols\Source\SourceNamedTypeSymbol_Bases.cs" />
+    <Compile Include="Symbols\Source\SourceNamedTypeSymbol_Enum.cs" />
+    <Compile Include="Symbols\Source\SourceNamespaceSymbol.cs" />
+    <Compile Include="Symbols\Source\SourceNamespaceSymbol_Completion.cs" />
+    <Compile Include="Symbols\Source\SourceParameterSymbol.cs" />
+    <Compile Include="Symbols\Source\SourceParameterSymbolBase.cs" />
+    <Compile Include="Symbols\Source\SourcePrimaryConstructorParameterSymbolWithBackingField.cs" />
+    <Compile Include="Symbols\Source\SourcePropertyAccessorSymbol.cs" />
+    <Compile Include="Symbols\Source\SourcePropertySymbol.cs" />
+    <Compile Include="Symbols\Source\SourceSimpleParameterSymbol.cs" />
+    <Compile Include="Symbols\Source\SourceTypeParameterSymbol.cs" />
+    <Compile Include="Symbols\Source\SourceUserDefinedConversionSymbol.cs" />
+    <Compile Include="Symbols\Source\SourceUserDefinedOperatorSymbol.cs" />
+    <Compile Include="Symbols\Source\SourceUserDefinedOperatorSymbolBase.cs" />
+    <Compile Include="Symbols\Source\SynthesizedAttributeData.cs" />
+    <Compile Include="Symbols\Source\SynthesizedBackingFieldSymbol.cs" />
+    <Compile Include="Symbols\Source\SynthesizedInstanceMethodSymbol.cs" />
+    <Compile Include="Symbols\Source\ThisParameterSymbol.cs" />
+    <Compile Include="Symbols\Source\TypeParameterBuilder.cs" />
+    <Compile Include="Symbols\Source\TypeParameterConstraintClause.cs" />
+    <Compile Include="Symbols\SpecialTypeExtensions.cs" />
+    <Compile Include="Symbols\SubstitutedEventSymbol.cs" />
+    <Compile Include="Symbols\SubstitutedFieldSymbol.cs" />
+    <Compile Include="Symbols\SubstitutedMethodSymbol.cs" />
+    <Compile Include="Symbols\SubstitutedNamedTypeSymbol.cs" />
+    <Compile Include="Symbols\SubstitutedParameterSymbol.cs" />
+    <Compile Include="Symbols\SubstitutedPropertySymbol.cs" />
+    <Compile Include="Symbols\SubstitutedTypeParameterSymbol.cs" />
+    <Compile Include="Symbols\Symbol.cs" />
+    <Compile Include="Symbols\Symbol_Attributes.cs" />
+    <Compile Include="Symbols\SymbolCompletionState.cs" />
+    <Compile Include="Symbols\SymbolDistinguisher.cs" />
+    <Compile Include="Symbols\SymbolExtensions.cs" />
+    <Compile Include="Symbols\SymbolKindExtensions.cs" />
+    <Compile Include="Symbols\SymbolVisitor.cs" />
+    <Compile Include="Symbols\SymbolVisitor`1.cs" />
+    <Compile Include="Symbols\SymbolVisitor`2.cs" />
+    <Compile Include="Symbols\Synthesized\GeneratedLabelSymbol.cs" />
+    <Compile Include="Symbols\Synthesized\GeneratedNameKind.cs" />
+    <Compile Include="Symbols\Synthesized\GeneratedNames.cs" />
+    <Compile Include="Symbols\Synthesized\SynthesizedAccessorValueParameterSymbol.cs" />
+    <Compile Include="Symbols\Synthesized\SynthesizedCapturedVariable.cs" />
+    <Compile Include="Symbols\Synthesized\SynthesizedContainer.cs" />
+    <Compile Include="Symbols\Synthesized\SynthesizedDelegateSymbol.cs" />
+    <Compile Include="Symbols\Synthesized\SynthesizedEntryPointSymbol.cs" />
+    <Compile Include="Symbols\Synthesized\SynthesizedEnumValueFieldSymbol.cs" />
+    <Compile Include="Symbols\Synthesized\SynthesizedExplicitImplementationMethod.cs" />
+    <Compile Include="Symbols\Synthesized\SynthesizedFieldLikeEventAccessorSymbol.cs" />
+    <Compile Include="Symbols\Synthesized\SynthesizedFieldSymbol.cs" />
+    <Compile Include="Symbols\Synthesized\SynthesizedFieldSymbolBase.cs" />
+    <Compile Include="Symbols\Synthesized\SynthesizedGlobalMethodSymbol.cs" />
+    <Compile Include="Symbols\Synthesized\SynthesizedInstanceConstructor.cs" />
+    <Compile Include="Symbols\Synthesized\SynthesizedIntrinsicOperatorSymbol.cs" />
+    <Compile Include="Symbols\Synthesized\SynthesizedIteratorLocalFieldSymbol.cs" />
+    <Compile Include="Symbols\Synthesized\SynthesizedLocal.cs" />
+    <Compile Include="Symbols\Synthesized\SynthesizedMethodSymbol.cs" />
+    <Compile Include="Symbols\Synthesized\SynthesizedParameterSymbol.cs" />
+    <Compile Include="Symbols\Synthesized\SynthesizedSealedPropertyAccessor.cs" />
+    <Compile Include="Symbols\Synthesized\SynthesizedStaticConstructor.cs" />
+    <Compile Include="Symbols\Synthesized\SynthesizedStringHashFunctionSymbol.cs" />
+    <Compile Include="Symbols\Synthesized\SynthesizedSubmissionConstructor.cs" />
+    <Compile Include="Symbols\Synthesized\SynthesizedTypeParameterSymbol.cs" />
+    <Compile Include="Symbols\Synthesized\SynthesizedyProperty.cs" />
+    <Compile Include="Symbols\TempKind.cs" />
+    <Compile Include="Symbols\TypedConstantExtensions.cs" />
+    <Compile Include="Symbols\TypeMap.cs" />
+    <Compile Include="Symbols\TypeParameterBounds.cs" />
+    <Compile Include="Symbols\TypeParameterSymbol.cs" />
+    <Compile Include="Symbols\TypeParameterSymbolExtensions.cs" />
+    <Compile Include="Symbols\TypeSymbol.cs" />
+    <Compile Include="Symbols\TypeSymbol.SymbolAndDiagnostics.cs" />
+    <Compile Include="Symbols\TypeSymbolExtensions.cs" />
+    <Compile Include="Symbols\UnboundGenericType.cs" />
+    <Compile Include="Symbols\UnsupportedMetadataTypeSymbol.cs" />
+    <Compile Include="Symbols\VarianceSafety.cs" />
+    <Compile Include="Symbols\WrappedParameterSymbol.cs" />
+    <Compile Include="Syntax\AliasedQualifiedNameSyntax.cs" />
+    <Compile Include="Syntax\ArrayRankSpecifierSyntax.cs" />
+    <Compile Include="Syntax\AttributeSyntax.cs" />
+    <Compile Include="Syntax\AttributeTargetSpecifierSyntax.cs" />
+    <Compile Include="Syntax\BaseMethodDeclarationSyntax.cs" />
+    <Compile Include="Syntax\BaseSyntaxNodeExtensions.cs" />
+    <Compile Include="Syntax\CompilationUnitSyntax.cs" />
+    <Compile Include="Syntax\CSharpLineDirectiveMap.cs" />
+    <Compile Include="Syntax\CSharpPragmaWarningStateMap.cs" />
+    <Compile Include="Syntax\CSharpSyntaxNode.cs" />
+    <Compile Include="Syntax\CSharpSyntaxRewriter.cs" />
+    <Compile Include="Syntax\CSharpSyntaxTree.cs" />
+    <Compile Include="Syntax\CSharpSyntaxTree.ParsedSyntaxTree.cs" />
+    <Compile Include="Syntax\CSharpSyntaxVisitor.cs" />
+    <Compile Include="Syntax\CSharpSyntaxWalker.cs" />
+    <Compile Include="Syntax\DeclarationStatementSyntax.cs" />
+    <Compile Include="Syntax\DelegateDeclarationSyntax.cs" />
+    <Compile Include="Syntax\DirectiveTriviaSyntax.cs" />
+    <Compile Include="Syntax\ExpressionStatementSyntax.cs" />
+    <Compile Include="Syntax\GenericNameSyntax.cs" />
+    <Compile Include="Syntax\InternalSyntax\ChildSyntaxList.cs" />
+    <Compile Include="Syntax\InternalSyntax\ChildSyntaxList.Enumerator.cs" />
+    <Compile Include="Syntax\InternalSyntax\ChildSyntaxList.Reversed.cs" />
+    <Compile Include="Syntax\InternalSyntax\ChildSyntaxList.Reversed.Enumerator.cs" />
+    <Compile Include="Syntax\InternalSyntax\DirectiveTriviaSyntax.cs" />
+    <Compile Include="Syntax\InternalSyntax\IdentifierNameSyntax.cs" />
+    <Compile Include="Syntax\InternalSyntax\SeparatedSyntaxList.cs" />
+    <Compile Include="Syntax\InternalSyntax\SeparatedSyntaxListBuilder.cs" />
+    <Compile Include="Syntax\InternalSyntax\StructuredTriviaSyntax.cs" />
+    <Compile Include="Syntax\InternalSyntax\Syntax.cs" />
+    <Compile Include="Syntax\InternalSyntax\SyntaxDiagnosticInfoList.cs" />
+    <Compile Include="Syntax\InternalSyntax\SyntaxLastTokenReplacer.cs" />
+    <Compile Include="Syntax\InternalSyntax\SyntaxList.cs" />
+    <Compile Include="Syntax\InternalSyntax\SyntaxList.WithLotsOfChildren.cs" />
+    <Compile Include="Syntax\InternalSyntax\SyntaxList.WithManyChildren.cs" />
+    <Compile Include="Syntax\InternalSyntax\SyntaxList.WithThreeChildren.cs" />
+    <Compile Include="Syntax\InternalSyntax\SyntaxList.WithTwoChildren.cs" />
+    <Compile Include="Syntax\InternalSyntax\SyntaxList`.Enumerator.cs" />
+    <Compile Include="Syntax\InternalSyntax\SyntaxList`1.cs" />
+    <Compile Include="Syntax\InternalSyntax\SyntaxListBuilder.cs" />
+    <Compile Include="Syntax\InternalSyntax\SyntaxListBuilder`1.cs" />
+    <Compile Include="Syntax\InternalSyntax\SyntaxListBuilderExtensions.cs" />
+    <Compile Include="Syntax\InternalSyntax\SyntaxNode.cs" />
+    <Compile Include="Syntax\InternalSyntax\SyntaxNodeCache.cs" />
+    <Compile Include="Syntax\InternalSyntax\SyntaxRewriter.cs" />
+    <Compile Include="Syntax\InternalSyntax\SyntaxToken.cs" />
+    <Compile Include="Syntax\InternalSyntax\SyntaxToken.MissingTokenWithTrivia.cs" />
+    <Compile Include="Syntax\InternalSyntax\SyntaxToken.SyntaxIdentifier.cs" />
+    <Compile Include="Syntax\InternalSyntax\SyntaxToken.SyntaxIdentifierExtended.cs" />
+    <Compile Include="Syntax\InternalSyntax\SyntaxToken.SyntaxIdentifierWithTrailingTrivia.cs" />
+    <Compile Include="Syntax\InternalSyntax\SyntaxToken.SyntaxIdentifierWithTrivia.cs" />
+    <Compile Include="Syntax\InternalSyntax\SyntaxToken.SyntaxLiteral.cs" />
+    <Compile Include="Syntax\InternalSyntax\SyntaxToken.SyntaxLiteralWithTrivia.cs" />
+    <Compile Include="Syntax\InternalSyntax\SyntaxToken.SyntaxTokenWithTrivia.cs" />
+    <Compile Include="Syntax\InternalSyntax\SyntaxTokenReplacer.cs" />
+    <Compile Include="Syntax\InternalSyntax\SyntaxTrivia.cs" />
+    <Compile Include="Syntax\InternalSyntax\SyntaxVisitor.cs" />
+    <Compile Include="Syntax\MethodDeclarationSyntax.cs" />
+    <Compile Include="Syntax\NamespaceDeclarationSyntax.cs" />
+    <Compile Include="Syntax\NameSyntax.cs" />
+    <Compile Include="Syntax\ParameterSyntax.cs" />
+    <Compile Include="Syntax\ParameterListSyntax.cs" />
+    <Compile Include="Syntax\QualifiedNameSyntax.cs" />
+    <Compile Include="Syntax\SeparatedSyntaxListBuilder.cs" />
+    <Compile Include="Syntax\SimpleNameSyntax.cs" />
+    <Compile Include="Syntax\SimpleSyntaxReference.cs" />
+    <Compile Include="Syntax\StructuredTriviaSyntax.cs" />
+    <Compile Include="Syntax\SyntaxEquivalence.cs" />
+    <Compile Include="Syntax\SyntaxExtensions.cs" />
+    <Compile Include="Syntax\SyntaxFactory.cs" />
+    <Compile Include="Syntax\SyntaxFormatter.cs" />
+    <Compile Include="Syntax\SyntaxKind.cs" />
+    <Compile Include="Syntax\SyntaxKindFacts.cs" />
+    <Compile Include="Syntax\SyntaxList.cs" />
+    <Compile Include="Syntax\SyntaxList.SeparatedWithManyChildren.cs" />
+    <Compile Include="Syntax\SyntaxList.WithManyChildren.cs" />
+    <Compile Include="Syntax\SyntaxList.WithManyWeakChildren.cs" />
+    <Compile Include="Syntax\SyntaxList.WithThreeChildren.cs" />
+    <Compile Include="Syntax\SyntaxList.WithTwoChildren.cs" />
+    <Compile Include="Syntax\SyntaxListBuilder.cs" />
+    <Compile Include="Syntax\SyntaxListBuilder`1.cs" />
+    <Compile Include="Syntax\SyntaxListBuilderExtensions.cs" />
+    <Compile Include="Syntax\SyntaxNavigator.cs" />
+    <Compile Include="Syntax\SyntaxNodeExtensions.cs" />
+    <Compile Include="Syntax\SyntaxNodeFacts.cs" />
+    <Compile Include="Syntax\SyntaxNodeOrTokenListBuilder.cs" />
+    <Compile Include="Syntax\SyntaxNodeRemover.cs" />
+    <Compile Include="Syntax\SyntaxReplacer.cs" />
+    <Compile Include="Syntax\SyntaxTokenListBuilder.cs" />
+    <Compile Include="Syntax\SyntaxTreeDiagnosticEnumerator.cs" />
+    <Compile Include="Syntax\SyntaxTriviaFunctions.cs" />
+    <Compile Include="Syntax\SyntaxTriviaListBuilder.cs" />
+    <Compile Include="Syntax\TranslationalSyntaxReference.cs" />
+    <Compile Include="Syntax\TypeDeclarationSyntax.cs" />
+    <Compile Include="Syntax\TypeSyntax.cs" />
+    <Compile Include="Syntax\XmlNameAttributeElementKind.cs" />
+    <Compile Include="Utilities\EnumExtensions.cs" />
+    <Compile Include="Utilities\FirstAmongEqualsSet.cs" />
+    <Compile Include="Utilities\FunctionExtensions.cs" />
+    <Compile Include="Utilities\ImmutableArrayExtensions.cs" />
+    <Compile Include="Utilities\LookupPosition.cs" />
+    <Compile Include="Utilities\StringExtensions.cs" />
+    <Compile Include="Utilities\TypeSymbolExtensions.cs" />
+    <Compile Include="Utilities\TypeUnification.cs" />
+    <Compile Include="BoundTree/BoundNodes.xml.Generated.cs" />
+    <Compile Include="Errors/ErrorFacts.Generated.cs" />
+    <Compile Include="Syntax/Syntax.xml.Generated.cs" />
+    <Compile Include="ivt.cs" />
+  </ItemGroup>
+  <ItemGroup>
+    <Compile Include="Syntax\CSharpSyntaxTree.Dummy.cs" />
+    <Content Include="UseSiteDiagnosticsCheckEnforcer\BaseLine.txt" />
+    <Content Include="UseSiteDiagnosticsCheckEnforcer\Run.bat" />
+    <None Include="FlowAnalysis\Flow Analysis Design.docx" />
+    <None Include="Symbols\PublicSymbolTable.cd" />
+  </ItemGroup>
+  <ItemGroup>
+    <BoundTreeDefinition Include="BoundTree\BoundNodes.xml" />
+    <Compile Include="Errors\ErrorCode.cs" />
+    <EmbeddedResource Include="CSharpResources.resx">
+      <SubType>Designer</SubType>
+      <Generator>ResXFileCodeGenerator</Generator>
+      <LastGenOutput>CSharpResources.Designer.cs</LastGenOutput>
+    </EmbeddedResource>
+    <ErrorCode Include="Errors\ErrorCode.cs" />
+    <SyntaxDefinition Include="Syntax\Syntax.xml" />
+  </ItemGroup>
+  <ItemGroup>
+    <ProjectReference Include="..\..\Core\Source\CodeAnalysisRoslyn.csproj">
+      <Project>{3B1704B3-96BA-4834-AB6E-7D8078A9373A}</Project>
+      <Name>CodeAnalysisRoslyn</Name>
+    </ProjectReference>
+  </ItemGroup>
+  <Import Project="$(MSBuildBinPath)\Microsoft.CSharp.targets" />
+</Project>
\ No newline at end of file
diff --git a/Src/Compilers/Core/Source/CodeAnalysisRoslyn.csproj b/Src/Compilers/Core/Source/CodeAnalysisRoslyn.csproj
new file mode 100644
index 0000000..ea59a3c
--- /dev/null
+++ b/Src/Compilers/Core/Source/CodeAnalysisRoslyn.csproj
@@ -0,0 +1,587 @@
+<?xml version="1.0" encoding="utf-8"?>
+<Project DefaultTargets="Build" ToolsVersion="4.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
+  <PropertyGroup>
+    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
+    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
+    <ProjectGuid>{3B1704B3-96BA-4834-AB6E-7D8078A9373A}</ProjectGuid>
+    <OutputType>Library</OutputType>
+    <RootNamespace>Microsoft.CodeAnalysis</RootNamespace>
+    <AssemblyName>Microsoft.CodeAnalysis</AssemblyName>
+    <AllowUnsafeBlocks>true</AllowUnsafeBlocks>
+    <CscToolExe>rcsc</CscToolExe>
+    <CscToolPath>$(MSBuildProjectDirectory)\..\..\..\..\bootstrap</CscToolPath>
+    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
+    <Optimize>false</Optimize>
+    <OutputPath>bin\Debug</OutputPath>
+    <DefineConstants>DEBUG,COMPILERCORE</DefineConstants>
+    <ErrorReport>prompt</ErrorReport>
+    <WarningLevel>4</WarningLevel>
+    <ConsolePause>false</ConsolePause>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
+    <DebugType>full</DebugType>
+    <Optimize>true</Optimize>
+    <OutputPath>bin\Release</OutputPath>
+    <DefineConstants>COMPILERCORE</DefineConstants>
+    <ErrorReport>prompt</ErrorReport>
+    <WarningLevel>4</WarningLevel>
+    <ConsolePause>false</ConsolePause>
+  </PropertyGroup>
+  <ItemGroup Label="File References">
+    <Reference Include="System.Reflection.Metadata">
+      <HintPath>..\..\..\References\MetadataReader\System.Reflection.Metadata.dll</HintPath>
+    </Reference>
+    <Reference Include="System.Collections.Immutable">
+      <HintPath>..\..\..\References\Immutable\System.Collections.Immutable.dll</HintPath>
+    </Reference>
+  </ItemGroup>
+  <ItemGroup>
+    <Compile Include="Binding\AbstractLookupSymbolsInfo.cs" />
+    <Compile Include="CaseInsensitiveComparison.cs" />
+    <Compile Include="CodeAnalysisResources.Designer.cs">
+      <AutoGen>True</AutoGen>
+      <DesignTime>True</DesignTime>
+      <DependentUpon>CodeAnalysisResources.resx</DependentUpon>
+    </Compile>
+    <Compile Include="CodeGen\ArrayMembers.cs" />
+    <Compile Include="CodeGen\BasicBlock.cs" />
+    <Compile Include="CodeGen\CompilationTestData.cs" />
+    <Compile Include="CodeGen\DebugDocumentProvider.cs" />
+    <Compile Include="CodeGen\EmitState.cs" />
+    <Compile Include="CodeGen\EncLocalSlotManager.cs" />
+    <Compile Include="CodeGen\ExternNamespace.cs" />
+    <Compile Include="CodeGen\FullLocalSlotManager.cs" />
+    <Compile Include="CodeGen\ILBuilder.cs" />
+    <Compile Include="CodeGen\ILBuilderConversions.cs" />
+    <Compile Include="CodeGen\ILBuilderEmit.cs" />
+    <Compile Include="CodeGen\ILOpCode.cs" />
+    <Compile Include="CodeGen\ILOpCodeExtensions.cs" />
+    <Compile Include="CodeGen\ITokenDeferral.cs" />
+    <Compile Include="CodeGen\LabelInfo.cs" />
+    <Compile Include="CodeGen\LocalConstantDefinition.cs" />
+    <Compile Include="CodeGen\LocalDefinition.cs" />
+    <Compile Include="CodeGen\LocalScope.cs" />
+    <Compile Include="CodeGen\LocalScopeManager.cs" />
+    <Compile Include="CodeGen\LocalSlotManager.cs" />
+    <Compile Include="CodeGen\MetadataConstant.cs" />
+    <Compile Include="CodeGen\MetadataCreateArray.cs" />
+    <Compile Include="CodeGen\MetadataNamedArgument.cs" />
+    <Compile Include="CodeGen\MetadataTypeOf.cs" />
+    <Compile Include="CodeGen\MethodBody.cs" />
+    <Compile Include="CodeGen\NamespaceScope.cs" />
+    <Compile Include="CodeGen\PermissionSetAttribute.cs" />
+    <Compile Include="CodeGen\PrivateImplementationDetails.cs" />
+    <Compile Include="CodeGen\RawSequencePoint.cs" />
+    <Compile Include="CodeGen\ReferenceDependencyWalker.cs" />
+    <Compile Include="CodeGen\ScopeType.cs" />
+    <Compile Include="CodeGen\SequencePointList.cs" />
+    <Compile Include="CodeGen\StringTokenMap.cs" />
+    <Compile Include="CodeGen\SwitchIntegralJumpTableEmitter.cs" />
+    <Compile Include="CodeGen\SwitchIntegralJumpTableEmitter.SwitchBucket.cs" />
+    <Compile Include="CodeGen\SwitchStringJumpTableEmitter.cs" />
+    <Compile Include="CodeGen\TokenMap.cs" />
+    <Compile Include="CodeGen\UsedNamespaceOrType.cs" />
+    <Compile Include="CodeGen\Win32Res.cs" />
+    <Compile Include="Collections\ArrayBuilder.ArrayBuilderEnumerator.cs" />
+    <Compile Include="Collections\ArrayBuilder.cs" />
+    <Compile Include="Collections\ArrayBuilderExtensions.cs" />
+    <Compile Include="Collections\ArrayElement.cs" />
+    <Compile Include="Collections\BitArray.cs" />
+    <Compile Include="Collections\ByteSequenceComparer.cs" />
+    <Compile Include="Collections\CachingDictionary.cs" />
+    <Compile Include="Collections\CachingFactory.cs" />
+    <Compile Include="Collections\ConcurrentCache.cs" />
+    <Compile Include="Collections\ConsListExtensions.cs" />
+    <Compile Include="Collections\EnumerableExtensions.cs" />
+    <Compile Include="Collections\Grouping.cs" />
+    <Compile Include="Collections\HashSetExtensions.cs" />
+    <Compile Include="Collections\IdentifierCollection.Collection.cs" />
+    <Compile Include="Collections\IdentifierCollection.cs" />
+    <Compile Include="Collections\ImmutableArrayExtensions.cs" />
+    <Compile Include="Collections\ImmutableMemoryStream.cs" />
+    <Compile Include="Collections\KeyedStack.cs" />
+    <Compile Include="Collections\OrderPreservingMultiDictionary.cs" />
+    <Compile Include="Collections\PooledDictionary.cs" />
+    <Compile Include="Collections\PooledHashSet.cs" />
+    <Compile Include="Collections\PooledStringBuilder.cs" />
+    <Compile Include="Collections\SmallConcurrentSetOfInts.cs" />
+    <Compile Include="Collections\SmallDictionary.cs" />
+    <Compile Include="Collections\UnionCollection.cs" />
+    <Compile Include="CommonLock.cs" />
+    <Compile Include="Compilation\CandidateReason.cs" />
+    <Compile Include="Compilation\CommonMemberResolutionKind.cs" />
+    <Compile Include="Compilation\CommonMemberResolutionResult.cs" />
+    <Compile Include="Compilation\CommonOverloadResolutionResult.cs" />
+    <Compile Include="Compilation\Compilation.cs" />
+    <Compile Include="Compilation\CompilationOptions.cs" />
+    <Compile Include="Compilation\CompilationStage.cs" />
+    <Compile Include="Compilation\ControlFlowAnalysis.cs" />
+    <Compile Include="Compilation\DataFlowAnalysis.cs" />
+    <Compile Include="Compilation\DebugInformationKind.cs" />
+    <Compile Include="Compilation\EmitResult.cs" />
+    <Compile Include="Compilation\Extensions.cs" />
+    <Compile Include="Compilation\FileResolver.cs" />
+    <Compile Include="Compilation\ParseOptions.cs" />
+    <Compile Include="Compilation\Platform.cs" />
+    <Compile Include="Compilation\PreprocessingSymbolInfo.cs" />
+    <Compile Include="Compilation\SemanticModel.cs" />
+    <Compile Include="Compilation\SpeculativeBindingOption.cs" />
+    <Compile Include="Compilation\SubsystemVersion.cs" />
+    <Compile Include="Compilation\SymbolInfo.cs" />
+    <Compile Include="Compilation\TypeInfo.cs" />
+    <Compile Include="ConstantValue.cs" />
+    <Compile Include="ConstantValueSpecialized.cs" />
+    <Compile Include="CryptographicHashProvider.cs" />
+    <Compile Include="CvtRes.cs" />
+    <Compile Include="DiagnosticAnalyzer\AnalyzerDriver.cs" />
+    <Compile Include="DiagnosticAnalyzer\DiagnosticAnalyzerAttribute.cs" />
+    <Compile Include="DiagnosticAnalyzer\ICodeBlockEndedAnalyzer.cs" />
+    <Compile Include="DiagnosticAnalyzer\ICodeBlockStartedAnalyzer.cs" />
+    <Compile Include="DiagnosticAnalyzer\ICompilationEndedAnalyzer.cs" />
+    <Compile Include="DiagnosticAnalyzer\ICompilationStartedAnalyzer.cs" />
+    <Compile Include="DiagnosticAnalyzer\ICompilationUnitAnalyzer.cs" />
+    <Compile Include="DiagnosticAnalyzer\IDiagnosticAnalyzer.cs" />
+    <Compile Include="DiagnosticAnalyzer\ISymbolAnalyzer.cs" />
+    <Compile Include="DiagnosticAnalyzer\ISyntaxTreeAnalyzer.cs" />
+    <Compile Include="DiagnosticAnalyzer\ISyntaxNodeAnalyzer.cs" />
+    <Compile Include="Diagnostic\CommonDiagnosticComparer.cs" />
+    <Compile Include="Diagnostic\DiagnosticFormatter.cs" />
+    <Compile Include="Diagnostic\CommonMessageProvider.cs" />
+    <Compile Include="Diagnostic\Diagnostic.cs" />
+    <Compile Include="Diagnostic\Diagnostic_SimpleDiagnostic.cs" />
+    <Compile Include="Diagnostic\DiagnosticBag.cs" />
+    <Compile Include="Diagnostic\DiagnosticDescriptor.cs" />
+    <Compile Include="Diagnostic\DiagnosticInfo.cs" />
+    <Compile Include="Diagnostic\DiagnosticSeverity.cs" />
+    <Compile Include="Diagnostic\DiagnosticWithInfo.cs" />
+    <Compile Include="Diagnostic\FileLinePositionSpan.cs" />
+    <Compile Include="Diagnostic\IMessageSerializable.cs" />
+    <Compile Include="Diagnostic\Location.cs" />
+    <Compile Include="Diagnostic\LocationKind.cs" />
+    <Compile Include="Diagnostic\MetadataLocation.cs" />
+    <Compile Include="Diagnostic\NoLocation.cs" />
+    <Compile Include="Diagnostic\ReportDiagnostic.cs" />
+    <Compile Include="Diagnostic\SerializedLocation.cs" />
+    <Compile Include="Diagnostic\SourceLocation.cs" />
+    <Compile Include="Diagnostic\XmlLocation.cs" />
+    <Compile Include="DiagnosticAnalyzer\AsyncQueue.cs" />
+    <Compile Include="DiagnosticAnalyzer\SuppressMessageAttributeState.cs" />
+    <Compile Include="DiagnosticAnalyzer\SuppressMessageAttributeState.TargetSymbolResolver.cs" />
+    <Compile Include="DiagnosticAnalyzer\SuppressMessageAttributeState.WarningStateMap.cs" />
+    <Compile Include="DocumentationComments\DocumentationCommentIncludeCache.cs" />
+    <Compile Include="DocumentationComments\DocumentationProvider.cs" />
+    <Compile Include="DocumentationComments\DocumentationProvider.NullDocumentationProvider.cs" />
+    <Compile Include="DocumentationComments\XmlDocumentationCommentTextReader.cs" />
+    <Compile Include="DocumentationComments\XmlDocumentationCommentTextReader.XmlStream.cs" />
+    <Compile Include="DocumentationMode.cs" />
+    <Compile Include="Emit\AnonymousTypeKey.cs" />
+    <Compile Include="Emit\AnonymousTypeValue.cs" />
+    <Compile Include="Emit\Context.cs" />
+    <Compile Include="Emit\DefinitionMap.cs" />
+    <Compile Include="Emit\EmitBaseline.cs" />
+    <Compile Include="Emit\EncLocalInfo.cs" />
+    <Compile Include="Emit\ErrorType.cs" />
+    <Compile Include="Emit\ModulePropertiesForSerialization.cs" />
+    <Compile Include="Emit\NoPia\CommonEmbeddedEvent.cs" />
+    <Compile Include="Emit\NoPia\CommonEmbeddedField.cs" />
+    <Compile Include="Emit\NoPia\CommonEmbeddedMember.cs" />
+    <Compile Include="Emit\NoPia\CommonEmbeddedMethod.cs" />
+    <Compile Include="Emit\NoPia\CommonEmbeddedParameter.cs" />
+    <Compile Include="Emit\NoPia\CommonEmbeddedProperty.cs" />
+    <Compile Include="Emit\NoPia\CommonEmbeddedType.cs" />
+    <Compile Include="Emit\NoPia\CommonEmbeddedTypeParameter.cs" />
+    <Compile Include="Emit\NoPia\EmbeddedTypesManager.cs" />
+    <Compile Include="Emit\NoPia\VtblGap.cs" />
+    <Compile Include="Emit\PEModuleBuilder.cs" />
+    <Compile Include="Emit\SemanticEdit.cs" />
+    <Compile Include="Emit\SymbolChanges.cs" />
+    <Compile Include="EnumConstantHelper.cs" />
+    <Compile Include="Instrumentation\FunctionId.cs" />
+    <Compile Include="Instrumentation\Logger.cs" />
+    <Compile Include="Instrumentation\PerformanceGoals.cs" />
+    <Compile Include="Instrumentation\RoslynCompilerEventSource.cs" />
+    <Compile Include="Instrumentation\TouchedFileLogger.cs" />
+    <Compile Include="InternalUtilities\ArrayExtensions.cs" />
+    <Compile Include="InternalUtilities\BitArithmeticUtilities.cs" />
+    <Compile Include="InternalUtilities\CompilerFatalError.cs" />
+    <Compile Include="InternalUtilities\CompilerPathUtilities.cs" />
+    <Compile Include="InternalUtilities\ComStreamWrapper.cs" />
+    <Compile Include="InternalUtilities\ConcurrentDictionaryExtensions.cs" />
+    <Compile Include="InternalUtilities\ConcurrentLruCache.cs" />
+    <Compile Include="InternalUtilities\ConcurrentSet.cs" />
+    <Compile Include="InternalUtilities\ConsList`1.cs" />
+    <Compile Include="InternalUtilities\DebuggerUtilities.cs" />
+    <Compile Include="InternalUtilities\DecimalUtilities.cs" />
+    <Compile Include="InternalUtilities\DocumentationCommentXmlNames.cs" />
+    <Compile Include="InternalUtilities\EnumerableExtensions.ComparisonComparer.cs" />
+    <Compile Include="InternalUtilities\EnumerableExtensions.cs" />
+    <Compile Include="InternalUtilities\EnumField.cs" />
+    <Compile Include="InternalUtilities\EnumUtilties.cs" />
+    <Compile Include="InternalUtilities\ExceptionUtilities.cs" />
+    <Compile Include="InternalUtilities\HashFunctions.cs" />
+    <Compile Include="InternalUtilities\ImmutableListExtensions.cs" />
+    <Compile Include="InternalUtilities\ImmutableSetWithInsertionOrder`1.cs" />
+    <Compile Include="InternalUtilities\ISetExtensions.cs" />
+    <Compile Include="InternalUtilities\KeyValuePair.cs" />
+    <Compile Include="InternalUtilities\MultiDictionary.cs" />
+    <Compile Include="InternalUtilities\ObjectPool`1.cs" />
+    <Compile Include="InternalUtilities\OneOrMany.cs" />
+    <Compile Include="InternalUtilities\PathKind.cs" />
+    <Compile Include="InternalUtilities\PathUtilities.cs" />
+    <Compile Include="InternalUtilities\ReaderWriterLockSlimExtensions.cs" />
+    <Compile Include="InternalUtilities\ReadOnlyUnmanagedMemoryStream.cs" />
+    <Compile Include="InternalUtilities\ReferenceEqualityComparer.cs" />
+    <Compile Include="InternalUtilities\SpecializedCollections.cs" />
+    <Compile Include="InternalUtilities\SpecializedCollections.Empty.Array.cs" />
+    <Compile Include="InternalUtilities\SpecializedCollections.Empty.Collection.cs" />
+    <Compile Include="InternalUtilities\SpecializedCollections.Empty.cs" />
+    <Compile Include="InternalUtilities\SpecializedCollections.Empty.Dictionary.cs" />
+    <Compile Include="InternalUtilities\SpecializedCollections.Empty.Enumerable.cs" />
+    <Compile Include="InternalUtilities\SpecializedCollections.Empty.Enumerator.cs" />
+    <Compile Include="InternalUtilities\SpecializedCollections.Empty.Enumerator`1.cs" />
+    <Compile Include="InternalUtilities\SpecializedCollections.Empty.List.cs" />
+    <Compile Include="InternalUtilities\SpecializedCollections.Empty.Set.cs" />
+    <Compile Include="InternalUtilities\SpecializedCollections.ReadOnly.Collection.cs" />
+    <Compile Include="InternalUtilities\SpecializedCollections.ReadOnly.Enumerable`1.cs" />
+    <Compile Include="InternalUtilities\SpecializedCollections.ReadOnly.Enumerable`2.cs" />
+    <Compile Include="InternalUtilities\SpecializedCollections.ReadOnly.Set.cs" />
+    <Compile Include="InternalUtilities\SpecializedCollections.Singleton.Collection`1.cs" />
+    <Compile Include="InternalUtilities\SpecializedCollections.Singleton.Enumerator`1.cs" />
+    <Compile Include="InternalUtilities\StringExtensions.cs" />
+    <Compile Include="InternalUtilities\StringTable.cs" />
+    <Compile Include="InternalUtilities\SuppressUnmanagedCodeSecurityAttribute.cs" />
+    <Compile Include="InternalUtilities\TextChangeRangeExtensions.cs" />
+    <Compile Include="InternalUtilities\TextKeyedCache.cs" />
+    <Compile Include="InternalUtilities\ThreadSafeFlagOperations.cs" />
+    <Compile Include="InternalUtilities\ThreeState.cs" />
+    <Compile Include="InternalUtilities\Union`2.cs" />
+    <Compile Include="InternalUtilities\Union`3.cs" />
+    <Compile Include="InternalUtilities\ValueTuple.cs" />
+    <Compile Include="InternalUtilities\ValueTuple`2.cs" />
+    <Compile Include="InternalUtilities\ValueTuple`3.cs" />
+    <Compile Include="InternalUtilities\WeakList.cs" />
+    <Compile Include="InternalUtilities\WeakReferenceExtensions.cs" />
+    <Compile Include="InternalUtilities\XmlUtilities.cs" />
+    <Compile Include="MemberDescriptor.cs" />
+    <Compile Include="MetadataReader\EmbeddedResource.cs" />
+    <Compile Include="MetadataReader\MetadataDecoder.cs" />
+    <Compile Include="MetadataReader\MetadataHelpers.cs" />
+    <Compile Include="MetadataReader\MetadataImportOptions.cs" />
+    <Compile Include="MetadataReader\MetadataTypeCodeExtensions.cs" />
+    <Compile Include="MetadataReader\MetadataTypeName.cs" />
+    <Compile Include="MetadataReader\MetadataTypeName.Key.cs" />
+    <Compile Include="MetadataReader\ModuleExtensions.cs" />
+    <Compile Include="MetadataReader\PEAssembly.cs" />
+    <Compile Include="MetadataReader\PEModule.cs" />
+    <Compile Include="MetadataReader\TypeAttributesExtensions.cs" />
+    <Compile Include="MetadataReader\UnsupportedSignatureContent.cs" />
+    <Compile Include="MetadataReference\AssemblyIdentity.cs" />
+    <Compile Include="MetadataReference\AssemblyIdentity.DisplayName.cs" />
+    <Compile Include="MetadataReference\AssemblyIdentityComparer.cs" />
+    <Compile Include="MetadataReference\AssemblyIdentityParts.cs" />
+    <Compile Include="MetadataReference\AssemblyMetadata.cs" />
+    <Compile Include="MetadataReference\CompilationReference.cs" />
+    <Compile Include="MetadataReference\Metadata.cs" />
+    <Compile Include="MetadataReference\MetadataImageKind.cs" />
+    <Compile Include="MetadataReference\MetadataImageReference.cs" />
+    <Compile Include="MetadataReference\MetadataReference.cs" />
+    <Compile Include="MetadataReference\MetadataReferenceProperties.cs" />
+    <Compile Include="MetadataReference\MetadataReferenceProvider.cs" />
+    <Compile Include="MetadataReference\ModuleMetadata.cs" />
+    <Compile Include="MetadataReference\PortableExecutableReference.cs" />
+    <Compile Include="MetadataReference\ReferenceDirective.cs" />
+    <Compile Include="MetadataReference\UnresolvedMetadataReference.cs" />
+    <Compile Include="NonPortable\AssemblyIdentityExtensions.cs" />
+    <Compile Include="NonPortable\AssemblyMetadata.FromFile.cs" />
+    <Compile Include="NonPortable\AssemblyPortabilityPolicy.cs" />
+    <Compile Include="NonPortable\AssemblyVersion.cs" />
+    <Compile Include="NonPortable\CLRHost\ClrMetaHost.cs" />
+    <Compile Include="NonPortable\CLRHost\ClrRuntimeInfo.cs" />
+    <Compile Include="NonPortable\CLRHost\HostingInteropHelper.cs" />
+    <Compile Include="NonPortable\CLRHost\ICLRMetaHost.cs" />
+    <Compile Include="NonPortable\CLRHost\ICLRRuntimeInfo.cs" />
+    <Compile Include="NonPortable\CLRHost\ICLRStrongName.cs" />
+    <Compile Include="NonPortable\CLRHost\IEnumUnknown.cs" />
+    <Compile Include="NonPortable\CLRHost\STARTUP_FLAGS.cs" />
+    <Compile Include="NonPortable\CommandLine\CommandLineAnalyzer.cs" />
+    <Compile Include="NonPortable\CommandLine\CommandLineReference.cs" />
+    <Compile Include="NonPortable\CommandLine\CommandLineSourceFile.cs" />
+    <Compile Include="NonPortable\CommandLine\CommonCommandLineArguments.cs" />
+    <Compile Include="NonPortable\CommandLine\CommonCommandLineParser.cs" />
+    <Compile Include="NonPortable\CommandLine\CommonCompiler.cs" />
+    <Compile Include="NonPortable\CommandLine\CommonCompiler.ExistingReferencesResolver.cs" />
+    <Compile Include="NonPortable\CommandLine\RuleSet\InvalidRuleSetException.cs" />
+    <Compile Include="NonPortable\CommandLine\RuleSet\RuleSet.cs" />
+    <Compile Include="NonPortable\CommandLine\RuleSet\RuleSetInclude.cs" />
+    <Compile Include="NonPortable\CommandLine\RuleSet\RuleSetProcessor.cs" />
+    <Compile Include="NonPortable\DesktopAssemblyIdentityComparer.cs" />
+    <Compile Include="NonPortable\DesktopAssemblyIdentityComparer.Fx.cs" />
+    <Compile Include="NonPortable\DesktopStrongNameProvider.cs" />
+    <Compile Include="NonPortable\EncodedStringText.cs" />
+    <Compile Include="NonPortable\FailFast.cs" />
+    <Compile Include="NonPortable\FileKey.cs" />
+    <Compile Include="NonPortable\FileUtilities.cs" />
+    <Compile Include="NonPortable\IVsSQM.cs" />
+    <Compile Include="NonPortable\MetadataCache.cs" />
+    <Compile Include="NonPortable\MetadataFileReference.cs" />
+    <Compile Include="NonPortable\ModuleMetadata.FromFile.cs" />
+    <Compile Include="NonPortable\SqmServiceProvider.cs" />
+    <Compile Include="Optional.cs" />
+    <Compile Include="OutputKind.cs" />
+    <Compile Include="PEWriter\AliasForType.cs" />
+    <Compile Include="PEWriter\BinaryWriter.cs" />
+    <Compile Include="PEWriter\ClrHeader.cs" />
+    <Compile Include="PEWriter\Constants.cs" />
+    <Compile Include="PEWriter\Core.cs" />
+    <Compile Include="PEWriter\DebugSourceDocument.cs" />
+    <Compile Include="PEWriter\DeltaPeWriter.cs" />
+    <Compile Include="PEWriter\DirectoryEntry.cs" />
+    <Compile Include="PEWriter\ExceptionHandlerRegion.cs" />
+    <Compile Include="PEWriter\Expressions.cs" />
+    <Compile Include="PEWriter\FullPeWriter.cs" />
+    <Compile Include="PEWriter\ICustomAttribute.cs" />
+    <Compile Include="PEWriter\IFileReference.cs" />
+    <Compile Include="PEWriter\InheritedTypeParameter.cs" />
+    <Compile Include="PEWriter\InstructionOperandTypes.cs" />
+    <Compile Include="PEWriter\IResource.cs" />
+    <Compile Include="PEWriter\ISymbolWriter.cs" />
+    <Compile Include="PEWriter\ISymUnmanagedAsyncMethodPropertiesWriter.cs" />
+    <Compile Include="PEWriter\ManagedResource.cs" />
+    <Compile Include="PEWriter\MemberRefComparer.cs" />
+    <Compile Include="PEWriter\Members.cs" />
+    <Compile Include="PEWriter\MemoryStream.cs" />
+    <Compile Include="PEWriter\MetadataVisitor.cs" />
+    <Compile Include="PEWriter\MethodSpecComparer.cs" />
+    <Compile Include="PEWriter\Miscellaneous.cs" />
+    <Compile Include="PEWriter\ModifiedTypeReference.cs" />
+    <Compile Include="PEWriter\NtHeader.cs" />
+    <Compile Include="PEWriter\PdbMetadataWrapper.cs" />
+    <Compile Include="PEWriter\PdbWriter.cs" />
+    <Compile Include="PEWriter\PdbWriterInterface.cs" />
+    <Compile Include="PEWriter\PeWriter.cs" />
+    <Compile Include="PEWriter\ReferenceIndexer.cs" />
+    <Compile Include="PEWriter\ReturnValueParameter.cs" />
+    <Compile Include="PEWriter\RootModuleType.cs" />
+    <Compile Include="PEWriter\SectionHeader.cs" />
+    <Compile Include="PEWriter\SecurityAction.cs" />
+    <Compile Include="PEWriter\SequencePoint.cs" />
+    <Compile Include="PEWriter\TempCCIParts.cs" />
+    <Compile Include="PEWriter\TypeLibTypeFlags.cs" />
+    <Compile Include="PEWriter\Types.cs" />
+    <Compile Include="PEWriter\TypeSpecComparer.cs" />
+    <Compile Include="PEWriter\UnitHelper.cs" />
+    <Compile Include="PEWriter\Units.cs" />
+    <Compile Include="PrimitiveTypeCodeExtensions.cs" />
+    <Compile Include="ReferenceManager\AssemblyData.cs" />
+    <Compile Include="ReferenceManager\AssemblyDataForAssemblyBeingBuilt.cs" />
+    <Compile Include="ReferenceManager\AssemblyReferenceBinding.cs" />
+    <Compile Include="ReferenceManager\AssemblyReferenceCandidate.cs" />
+    <Compile Include="ReferenceManager\BoundInputAssembly.cs" />
+    <Compile Include="ReferenceManager\CommonReferenceManager.Binding.cs" />
+    <Compile Include="ReferenceManager\CommonReferenceManager.Resolution.cs" />
+    <Compile Include="ReferenceManager\CommonReferenceManager.State.cs" />
+    <Compile Include="ReferenceManager\Compilation_MetadataCache.cs" />
+    <Compile Include="ReferenceManager\ModuleReferences.cs" />
+    <Compile Include="ReferenceManager\UnifiedAssembly.cs" />
+    <Compile Include="ResourceDescription.cs" />
+    <Compile Include="ResourceException.cs" />
+    <Compile Include="Serialization\FixedObjectBinder.cs" />
+    <Compile Include="Serialization\IObjectReadable.cs" />
+    <Compile Include="Serialization\IObjectWritable.cs" />
+    <Compile Include="Serialization\MultiByteEncoding.cs" />
+    <Compile Include="Serialization\ObjectBinder.cs" />
+    <Compile Include="Serialization\ObjectReader.cs" />
+    <Compile Include="Serialization\ObjectReaderData.cs" />
+    <Compile Include="Serialization\ObjectReaderWriterBase.cs" />
+    <Compile Include="Serialization\ObjectWriter.cs" />
+    <Compile Include="Serialization\ObjectWriterData.cs" />
+    <Compile Include="Serialization\RecordingObjectBinder.cs" />
+    <Compile Include="Serialization\SerializationInfoExtensions.cs" />
+    <Compile Include="SignatureComparer.cs" />
+    <Compile Include="SourceCodeKind.cs" />
+    <Compile Include="SpecialMember.cs" />
+    <Compile Include="SpecialMembers.cs" />
+    <Compile Include="SpecialType.cs" />
+    <Compile Include="SpecialTypeExtensions.cs" />
+    <Compile Include="SpecialTypes.cs" />
+    <Compile Include="StrongNameKeys.cs" />
+    <Compile Include="StrongNameProvider.cs" />
+    <Compile Include="SwitchConstantValueHelper.cs" />
+    <Compile Include="SymbolDisplay\AbstractSymbolDisplayVisitor.cs" />
+    <Compile Include="SymbolDisplay\AbstractSymbolDisplayVisitor_Minimal.cs" />
+    <Compile Include="SymbolDisplay\FormattedSymbol.cs" />
+    <Compile Include="SymbolDisplay\FormattedSymbolList.cs" />
+    <Compile Include="SymbolDisplay\SymbolDisplayCompilerInternalOptions.cs" />
+    <Compile Include="SymbolDisplay\SymbolDisplayDelegateStyle.cs" />
+    <Compile Include="SymbolDisplay\SymbolDisplayExtensionMethodStyle.cs" />
+    <Compile Include="SymbolDisplay\SymbolDisplayExtensions.cs" />
+    <Compile Include="SymbolDisplay\SymbolDisplayFormat.cs" />
+    <Compile Include="SymbolDisplay\SymbolDisplayGenericsOptions.cs" />
+    <Compile Include="SymbolDisplay\SymbolDisplayGlobalNamespaceStyle.cs" />
+    <Compile Include="SymbolDisplay\SymbolDisplayKindOptions.cs" />
+    <Compile Include="SymbolDisplay\SymbolDisplayLocalOptions.cs" />
+    <Compile Include="SymbolDisplay\SymbolDisplayMemberOptions.cs" />
+    <Compile Include="SymbolDisplay\SymbolDisplayMiscellaneousOptions.cs" />
+    <Compile Include="SymbolDisplay\SymbolDisplayParameterOptions.cs" />
+    <Compile Include="SymbolDisplay\SymbolDisplayPart.cs" />
+    <Compile Include="SymbolDisplay\SymbolDisplayPartKind.cs" />
+    <Compile Include="SymbolDisplay\SymbolDisplayPropertyStyle.cs" />
+    <Compile Include="SymbolDisplay\SymbolDisplayTypeQualificationStyle.cs" />
+    <Compile Include="Symbols\Accessibility.cs" />
+    <Compile Include="Symbols\Attributes\AttributeDescription.cs" />
+    <Compile Include="Symbols\Attributes\AttributeUsageInfo.cs" />
+    <Compile Include="Symbols\Attributes\CommonAssemblyWellKnownAttributeData.cs" />
+    <Compile Include="Symbols\Attributes\CommonAttributeData.cs" />
+    <Compile Include="Symbols\Attributes\CommonAttributeDataComparer.cs" />
+    <Compile Include="Symbols\Attributes\CommonEventEarlyWellKnownAttributeData.cs" />
+    <Compile Include="Symbols\Attributes\CommonEventWellKnownAttributeData.cs" />
+    <Compile Include="Symbols\Attributes\CommonFieldEarlyWellKnownAttributeData.cs" />
+    <Compile Include="Symbols\Attributes\CommonFieldWellKnownAttributeData.cs" />
+    <Compile Include="Symbols\Attributes\CommonMethodEarlyWellKnownAttributeData.cs" />
+    <Compile Include="Symbols\Attributes\CommonMethodWellKnownAttributeData.cs" />
+    <Compile Include="Symbols\Attributes\CommonModuleWellKnownAttributeData.cs" />
+    <Compile Include="Symbols\Attributes\CommonParameterEarlyWellKnownAttributeData.cs" />
+    <Compile Include="Symbols\Attributes\CommonParameterWellKnownAttributeData.cs" />
+    <Compile Include="Symbols\Attributes\CommonPropertyEarlyWellKnownAttributeData.cs" />
+    <Compile Include="Symbols\Attributes\CommonPropertyWellKnownAttributeData.cs" />
+    <Compile Include="Symbols\Attributes\CommonReturnTypeWellKnownAttributeData.cs" />
+    <Compile Include="Symbols\Attributes\CommonTypeEarlyWellKnownAttributeData.cs" />
+    <Compile Include="Symbols\Attributes\CommonTypeWellKnownAttributeData.cs" />
+    <Compile Include="Symbols\Attributes\CustomAttributesBag.cs" />
+    <Compile Include="Symbols\Attributes\DecodeWellKnownAttributeArguments.cs" />
+    <Compile Include="Symbols\Attributes\EarlyDecodeWellKnownAttributeArguments.cs" />
+    <Compile Include="Symbols\Attributes\EarlyWellKnownAttributeData.cs" />
+    <Compile Include="Symbols\Attributes\IMarshalAsAttributeTarget.cs" />
+    <Compile Include="Symbols\Attributes\ISecurityAttributeTarget.cs" />
+    <Compile Include="Symbols\Attributes\MarshalAsAttributeDecoder.cs" />
+    <Compile Include="Symbols\Attributes\MarshalPseudoCustomAttributeData.cs" />
+    <Compile Include="Symbols\Attributes\ObsoleteAttributeData.cs" />
+    <Compile Include="Symbols\Attributes\SecurityWellKnownAttributeData.cs" />
+    <Compile Include="Symbols\Attributes\WellKnownAttributeData.cs" />
+    <Compile Include="Symbols\CommonAttributeDataExtensions.cs" />
+    <Compile Include="Symbols\CustomModifer.cs" />
+    <Compile Include="Symbols\IAliasSymbol.cs" />
+    <Compile Include="Symbols\IArrayTypeSymbol.cs" />
+    <Compile Include="Symbols\IAssemblySymbol.cs" />
+    <Compile Include="Symbols\IDynamicTypeSymbol.cs" />
+    <Compile Include="Symbols\IErrorTypeSymbol.cs" />
+    <Compile Include="Symbols\IEventSymbol.cs" />
+    <Compile Include="Symbols\IFieldSymbol.cs" />
+    <Compile Include="Symbols\ILabelSymbol.cs" />
+    <Compile Include="Symbols\ILocalSymbol.cs" />
+    <Compile Include="Symbols\IMethodSymbol.cs" />
+    <Compile Include="Symbols\IModuleSymbol.cs" />
+    <Compile Include="Symbols\INamedTypeSymbol.cs" />
+    <Compile Include="Symbols\INamespaceOrTypeSymbol.cs" />
+    <Compile Include="Symbols\INamespaceSymbol.cs" />
+    <Compile Include="Symbols\IParameterSymbol.cs" />
+    <Compile Include="Symbols\IPointerTypeSymbol.cs" />
+    <Compile Include="Symbols\IPreprocessingSymbol.cs" />
+    <Compile Include="Symbols\IPropertySymbol.cs" />
+    <Compile Include="Symbols\IRangeVariableSymbol.cs" />
+    <Compile Include="Symbols\ISymbol.cs" />
+    <Compile Include="Symbols\ISymbolExtensions.cs" />
+    <Compile Include="Symbols\ITypeParameterSymbol.cs" />
+    <Compile Include="Symbols\ITypeSymbol.cs" />
+    <Compile Include="Symbols\LanguageNames.cs" />
+    <Compile Include="Symbols\MethodKind.cs" />
+    <Compile Include="Symbols\NamespaceKind.cs" />
+    <Compile Include="Symbols\PlatformInvokeInformation.cs" />
+    <Compile Include="Symbols\RefKind.cs" />
+    <Compile Include="Symbols\SymbolKind.cs" />
+    <Compile Include="Symbols\SymbolKindExtensions.cs" />
+    <Compile Include="Symbols\SymbolVisitor.cs" />
+    <Compile Include="Symbols\SymbolVisitor`1.cs" />
+    <Compile Include="Symbols\TypedConstant.cs" />
+    <Compile Include="Symbols\TypedConstantKind.cs" />
+    <Compile Include="Symbols\TypedConstantValue.cs" />
+    <Compile Include="Symbols\TypeKind.cs" />
+    <Compile Include="Symbols\TypeLayout.cs" />
+    <Compile Include="Symbols\TypeParameterKind.cs" />
+    <Compile Include="Symbols\VarianceKind.cs" />
+    <Compile Include="Symbols\WellKnownMemberNames.cs" />
+    <Compile Include="Syntax\AbstractSyntaxNavigator.cs" />
+    <Compile Include="Syntax\AbstractWarningStateMap.cs" />
+    <Compile Include="Syntax\AnnotationExtensions.cs" />
+    <Compile Include="Syntax\ChildSyntaxList.cs" />
+    <Compile Include="Syntax\ChildSyntaxList.Enumerator.cs" />
+    <Compile Include="Syntax\ChildSyntaxList.Reversed.cs" />
+    <Compile Include="Syntax\GreenNode.cs" />
+    <Compile Include="Syntax\GreenNodeExtensions.cs" />
+    <Compile Include="Syntax\IStructuredTriviaSyntax.cs" />
+    <Compile Include="Syntax\LineDirectiveMap.cs" />
+    <Compile Include="Syntax\LineDirectiveMap.LineMappingEntry.cs" />
+    <Compile Include="Syntax\LineVisibility.cs" />
+    <Compile Include="Syntax\SeparatedSyntaxList.cs" />
+    <Compile Include="Syntax\SeparatedSyntaxList.Enumerator.cs" />
+    <Compile Include="Syntax\SyntaxAnnotation.cs" />
+    <Compile Include="Syntax\SyntaxDiffer.cs" />
+    <Compile Include="Syntax\SyntaxList`1.cs" />
+    <Compile Include="Syntax\SyntaxList`1.Enumerator.cs" />
+    <Compile Include="Syntax\SyntaxNode.cs" />
+    <Compile Include="Syntax\SyntaxNodeExtensions.cs" />
+    <Compile Include="Syntax\SyntaxNodeExtensions_Tracking.cs" />
+    <Compile Include="Syntax\SyntaxNodeLocationComparer.cs" />
+    <Compile Include="Syntax\SyntaxNodeOrToken.cs" />
+    <Compile Include="Syntax\SyntaxNodeOrTokenList.cs" />
+    <Compile Include="Syntax\SyntaxReference.cs" />
+    <Compile Include="Syntax\SyntaxRemoveOptions.cs" />
+    <Compile Include="Syntax\SyntaxToken.cs" />
+    <Compile Include="Syntax\SyntaxTokenList.cs" />
+    <Compile Include="Syntax\SyntaxTokenList.Enumerator.cs" />
+    <Compile Include="Syntax\SyntaxTokenList.Reversed.cs" />
+    <Compile Include="Syntax\SyntaxTree.cs" />
+    <Compile Include="Syntax\SyntaxTreeExtensions.cs" />
+    <Compile Include="Syntax\SyntaxTrivia.cs" />
+    <Compile Include="Syntax\SyntaxTriviaList.cs" />
+    <Compile Include="Syntax\SyntaxTriviaList.Enumerator.cs" />
+    <Compile Include="Syntax\SyntaxTriviaList.Reversed.cs" />
+    <Compile Include="Syntax\SyntaxWalker.cs" />
+    <Compile Include="Syntax\SyntaxWalkerDepth.cs" />
+    <Compile Include="Text\ChangedText.cs" />
+    <Compile Include="Text\CompositeText.cs" />
+    <Compile Include="Text\LinePosition.cs" />
+    <Compile Include="Text\LinePositionSpan.cs" />
+    <Compile Include="Text\SourceText.cs" />
+    <Compile Include="Text\SourceTextContainer.cs" />
+    <Compile Include="Text\StringBuilderText.cs" />
+    <Compile Include="Text\StringText.cs" />
+    <Compile Include="Text\SubText.cs" />
+    <Compile Include="Text\TextChange.cs" />
+    <Compile Include="Text\TextChangeEventArgs.cs" />
+    <Compile Include="Text\TextChangeRange.cs" />
+    <Compile Include="Text\TextLine.cs" />
+    <Compile Include="Text\TextLineCollection.cs" />
+    <Compile Include="Text\TextSpan.cs" />
+    <Compile Include="Text\TextUtilities.cs" />
+    <Compile Include="TreeDumper.cs" />
+    <Compile Include="VbStringDisplay.cs" />
+    <Compile Include="VersionHelper.cs" />
+    <Compile Include="WellKnownMember.cs" />
+    <Compile Include="WellKnownMembers.cs" />
+    <Compile Include="WellKnownTypes.cs" />
+    <Compile Include="Xml\XmlCharType.cs" />
+    <Compile Include="ivt.cs" />
+  </ItemGroup>
+  <ItemGroup>
+    <Reference Include="Microsoft.CSharp" />
+    <Reference Include="System" />
+    <Reference Include="System.Collections">
+      <HintPath>..\..\..\..\..\..\..\..\Library\Frameworks\Mono.framework\Versions\Current\lib\mono\4.5\Facades\System.Collections.dll</HintPath>
+    </Reference>
+    <Reference Include="System.Runtime">
+      <HintPath>..\..\..\..\..\..\..\..\Library\Frameworks\Mono.framework\Versions\Current\lib\mono\4.5\Facades\System.Runtime.dll</HintPath>
+    </Reference>
+    <Reference Include="System.Reflection.Primitives">
+      <HintPath>..\..\..\..\..\..\..\..\Library\Frameworks\Mono.framework\Versions\Current\lib\mono\4.5\Facades\System.Reflection.Primitives.dll</HintPath>
+    </Reference>
+    <Reference Include="System.IO">
+      <HintPath>..\..\..\..\..\..\..\..\Library\Frameworks\Mono.framework\Versions\Current\lib\mono\4.5\Facades\System.IO.dll</HintPath>
+    </Reference>
+    <Reference Include="System.Xml" />
+    <Reference Include="System.Xml.Linq" />
+  </ItemGroup>
+  <Import Project="$(MSBuildBinPath)\Microsoft.CSharp.targets" />
+</Project>
\ No newline at end of file
diff --git a/bootstrap/rcsc b/bootstrap/rcsc
new file mode 100755
index 0000000..8dc080b
--- /dev/null
+++ b/bootstrap/rcsc
@@ -0,0 +1,2 @@
+#!/bin/sh
+exec ~/mono/bin/mono $MONO_OPTIONS ~/git/roslyn2/bootstrap/rcsc.exe "$@"
diff --git a/rcsc/rcsc.csproj b/rcsc/rcsc.csproj
new file mode 100644
index 0000000..3eb6fea
--- /dev/null
+++ b/rcsc/rcsc.csproj
@@ -0,0 +1,59 @@
+<?xml version="1.0" encoding="utf-8"?>
+<Project DefaultTargets="Build" ToolsVersion="4.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
+  <PropertyGroup>
+    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
+    <Platform Condition=" '$(Platform)' == '' ">x86</Platform>
+    <ProjectGuid>{ECC7DA8E-4587-4BA0-B8F0-BBA9C371DF8F}</ProjectGuid>
+    <OutputType>Exe</OutputType>
+    <RootNamespace>rcsc</RootNamespace>
+    <AssemblyName>rcsc</AssemblyName>
+    <CscToolExe>rcsc</CscToolExe>
+    <CscToolPath>$(MSBuildProjectDirectory)\..\bootstrap</CscToolPath>
+    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|x86' ">
+    <Optimize>false</Optimize>
+    <OutputPath>.</OutputPath>
+    <DefineConstants>DEBUG;</DefineConstants>
+    <ErrorReport>prompt</ErrorReport>
+    <WarningLevel>4</WarningLevel>
+    <Externalconsole>true</Externalconsole>
+    <PlatformTarget>x86</PlatformTarget>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|x86' ">
+    <DebugType>full</DebugType>
+    <Optimize>true</Optimize>
+    <OutputPath>.</OutputPath>
+    <ErrorReport>prompt</ErrorReport>
+    <WarningLevel>4</WarningLevel>
+    <Externalconsole>true</Externalconsole>
+    <PlatformTarget>x86</PlatformTarget>
+  </PropertyGroup>
+  <ItemGroup Label="File References">
+    <Reference Include="System.Collections.Immutable">
+      <HintPath>..\Src\References\Immutable\System.Collections.Immutable.dll</HintPath>
+    </Reference>
+  </ItemGroup>
+  <ItemGroup>
+    <Reference Include="System" />
+  </ItemGroup>
+  <Import Project="$(MSBuildBinPath)\Microsoft.CSharp.targets" />
+  <ItemGroup>
+    <ProjectReference Include="..\Src\Compilers\CSharp\Source\CSharpCodeAnalysisRoslyn.csproj">
+      <Project>{3B1704B3-96BA-4834-AB6E-7D8078A9373A}</Project>
+      <Name>CSharpCodeAnalysisRoslyn</Name>
+    </ProjectReference>
+    <ProjectReference Include="..\Src\Compilers\Core\Source\CodeAnalysisRoslyn.csproj">
+      <Project>{3B1704B3-96BA-4834-AB6E-7D8078A9373A}</Project>
+      <Name>CodeAnalysisRoslyn</Name>
+    </ProjectReference>
+  </ItemGroup>
+  <ItemGroup>
+    <Compile Include="..\Src\Compilers\CSharp\rcsc\Csc.cs">
+      <Link>Csc.cs</Link>
+    </Compile>
+    <Compile Include="..\Src\Compilers\CSharp\rcsc\Program.cs">
+      <Link>Program.cs</Link>
+    </Compile>
+  </ItemGroup>
+</Project>
\ No newline at end of file
diff --git a/rcsc/rcsc.sln b/rcsc/rcsc.sln
new file mode 100644
index 0000000..b98db22
--- /dev/null
+++ b/rcsc/rcsc.sln
@@ -0,0 +1,32 @@
+﻿
+Microsoft Visual Studio Solution File, Format Version 12.00
+# Visual Studio 2012
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "rcsc", "rcsc.csproj", "{ECC7DA8E-4587-4BA0-B8F0-BBA9C371DF8F}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "CodeAnalysisRoslyn", "..\Src\Compilers\Core\Source\CodeAnalysisRoslyn.csproj", "{3B1704B3-96BA-4834-AB6E-7D8078A9373A}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "CSharpCodeAnalysisRoslyn", "..\Src\Compilers\CSharp\Source\CSharpCodeAnalysisRoslyn.csproj", "{1EE8CAD3-55F9-4D91-96B2-084641DA9A6C}"
+EndProject
+Global
+	GlobalSection(SolutionConfigurationPlatforms) = preSolution
+		Debug|x86 = Debug|x86
+		Release|x86 = Release|x86
+	EndGlobalSection
+	GlobalSection(ProjectConfigurationPlatforms) = postSolution
+		{3B1704B3-96BA-4834-AB6E-7D8078A9373A}.Debug|x86.ActiveCfg = Debug|Any CPU
+		{1EE8CAD3-55F9-4D91-96B2-084641DA9A6C}.Debug|x86.ActiveCfg = Debug|Any CPU
+		{3B1704B3-96BA-4834-AB6E-7D8078A9373A}.Debug|x86.Build.0 = Debug|Any CPU
+		{1EE8CAD3-55F9-4D91-96B2-084641DA9A6C}.Debug|x86.Build.0 = Debug|Any CPU
+		{3B1704B3-96BA-4834-AB6E-7D8078A9373A}.Release|x86.ActiveCfg = Release|Any CPU
+		{1EE8CAD3-55F9-4D91-96B2-084641DA9A6C}.Release|x86.ActiveCfg = Release|Any CPU
+		{3B1704B3-96BA-4834-AB6E-7D8078A9373A}.Release|x86.Build.0 = Release|Any CPU
+		{1EE8CAD3-55F9-4D91-96B2-084641DA9A6C}.Release|x86.Build.0 = Release|Any CPU
+		{ECC7DA8E-4587-4BA0-B8F0-BBA9C371DF8F}.Debug|x86.ActiveCfg = Debug|x86
+		{ECC7DA8E-4587-4BA0-B8F0-BBA9C371DF8F}.Debug|x86.Build.0 = Debug|x86
+		{ECC7DA8E-4587-4BA0-B8F0-BBA9C371DF8F}.Release|x86.ActiveCfg = Release|x86
+		{ECC7DA8E-4587-4BA0-B8F0-BBA9C371DF8F}.Release|x86.Build.0 = Release|x86
+	EndGlobalSection
+	GlobalSection(MonoDevelopProperties) = preSolution
+		StartupItem = rcsc.csproj
+	EndGlobalSection
+EndGlobal
-- 
1.8.5.2 (Apple Git-48)

